#if defined(LOGGING)
#include "Log.h"
#endif

int  logRecord::deleteRR (AVA*& err, void* info, Bool checkOnly, int)
{
    if (checkOnly)
        return OK;

#if defined(LOGGING)
    if (info && *(DeletionType*) info == dt_managementOperation) {
        register
        Log *log = (Log *) getSuperior();

        register
        int i = OK, j;

#if defined(PERSISTENCY)
        i = log->remove(logRecordId()->getint());
#if defined(DEBUG)
        if (i == NOTOK) {
            register
            char *cp = getDNString();

            printf("LogRecord::cmisDelete() : log->remove() failed for %s record %d [%s]\n", log->getLogName(), j, cp);
            free(cp);
        }
#endif

        if (i == NOTOK) {
	    if (err != NULLAVAREF)
	        err = new AVA(m_processingFailure);
            return NOTOK;
        }
#endif /* PERSISTENCY */
    }
#endif /* LOGGING */

    return Top::deleteRR(err, info, checkOnly);
}

