//
// NAME
//   MSscanner.inc.h
//
// DESCRIPTION
//   for MSscanner MOC, via OSIMIS GDMO compiler
//   (based on ISO/IEC 10164-11 Monitor Objects MIB)
//   but with some changes fot the case of the 
//   Monitoring Support Objects
//
// IMPLEMENTORS
//   George Mykoniatis
//   NTUA
//   mykoniat@ektor.ntua.gr
//

protected:
	static int		_scannerId;
	inline static int	getNewScannerId() { return(++_scannerId); }
					// monotonically increasing Id

	int 			wkup_status; 
					// 1 if wake ups are scheduled
					// 0 if not
	int			createRR(AVA*&, void* = NULLVD, int = -1);
	int			deleteRR(AVA*&, void* = NULLVD,
						Bool = False, int = -1);
        int      		set (CMISModifyOp, int, int, void*, 
					AVA*&, Bool = False, int = -1);
					// redefined in monitoringSupport
  	virtual int ShutDown() 		{ return 0;}    

public:
        inline int		wakeUp (char*)  { return OK; }
					// what to do if we get a wakeup

