//
// Copyright (c) 1990 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//

// Filter.cc

// By George Pavlou, February 1991


#include <stdlib.h>
#include "msap.h"
#include "Filter.h"


int  MFilter::set (void* val)
{
    if (check_filter((CMISFilter*) val) == NOTOK)
	return NOTOK;
    setval(val);
    return OK;
}


MFilter::MFilter ()
{
    CMISFilter* filter = new CMISFilter;
    filter -> flt_type = Filter_And;
    filter -> flt_filter = NULLMFILTER;
    setval(filter);
}

