#/bin/sh

# This script is required because the osfcn.h file does not exist on Linux.
# The produced file lex.yy.c includes this file, so we need to avoid compiling
# it on Linux. Unfortunately, we cannot do this through a sed directive in
# the Makefile because we cannot introduce new line characters that way,
# hence we need a separate script.

sed s'/#include <osfcn.h>/#ifndef __linux__\
#include <osfcn.h>\
#endif/' $1
