//
// Copyright (c) 1990 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//

// GraphicStringList.h

// By George Pavlou, July 1994


#ifndef _GraphicStringList_h_
#define _GraphicStringList_h_


#ifndef _StringList_h_
#include "StringList.h"
#endif


class GraphicStringList : public StringList
{
protected:
    inline PE	 _encode ()		{ return GraphicStringList_encode(
					  (StringListVal*) getval()); }
    inline void* _decode (PE pe)	{ return GraphicStringList_decode(pe); }
};


#endif
