/*****************************************************************************

    cmipsnmpProxy.h file generated from header.hg

*****************************************************************************/


#if !defined(_cmipsnmpProxy_h_)
#define      _cmipsnmpProxy_h_


class NullRDN;
class RetryLimit;
class TimeoutInterval;



#include "Top.h"


/*
** User class definitions **
*/

#include"cmipsnmpProxy.inc.hcl"

/*
** User class definitions finish **
*/

{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 1 */,
    I_cmipsnmpProxyId,
    I_snmpMsgRetryLimit,
    I_snmpMsgTimeout;
#define I_cmipsnmpProxyNATTRS    3

    Attr        *_attrs[I_cmipsnmpProxyNATTRS];



    cmipsnmpProxy(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    NullRDN *		cmipsnmpProxyId();
    RetryLimit *		snmpMsgRetryLimit();
    TimeoutInterval *		snmpMsgTimeout();

/*
** User code start **
*/

#include"cmipsnmpProxy.inc.h"

/*
** User code finish **
*/

}; /* cmipsnmpProxy */


/* inline methods */

inline MOClassInfo * cmipsnmpProxy::getClassInfo()
{ return _classInfo; }

inline NullRDN * cmipsnmpProxy::cmipsnmpProxyId()
{ return (NullRDN *) _attrs[I_cmipsnmpProxyId]; }

inline RetryLimit * cmipsnmpProxy::snmpMsgRetryLimit()
{ return (RetryLimit *) _attrs[I_snmpMsgRetryLimit]; }

inline TimeoutInterval * cmipsnmpProxy::snmpMsgTimeout()
{ return (TimeoutInterval *) _attrs[I_snmpMsgTimeout]; }


#endif /* !_cmipsnmpProxy_h_ */

/* End of file */
