/*****************************************************************************

    discriminator.h file generated from header.hg

*****************************************************************************/


#if !defined(_discriminator_h_)
#define      _discriminator_h_


class SimpleNameType;
class MFilter;
class AdministrativeState;
class OperationalState;



#include "Top.h"


class discriminator : public Top
{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 1 */,
    I_discriminatorId,
    I_discriminatorConstruct,
    I_administrativeState,
    I_operationalState,
#define I_discriminatorNATTRS    4
    I_stateChange,
    I_attributeValueChange,
    I_objectCreation,
    I_objectDeletion;
#define I_discriminatorNNOTIFS    4

    Attr        *_attrs[I_discriminatorNATTRS];



    discriminator(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static RDN          makeRdn (MO* superior);
    static MO           *create(RDN rdn, MO *superior);

    SimpleNameType *		discriminatorId();
    MFilter *		discriminatorConstruct();
    AdministrativeState *		administrativeState();
    OperationalState *		operationalState();

/*
** User code start **
*/

#include"discriminator.inc.h"

/*
** User code finish **
*/

}; /* discriminator */


/* inline methods */

inline MOClassInfo * discriminator::getClassInfo()
{ return _classInfo; }

inline SimpleNameType * discriminator::discriminatorId()
{ return (SimpleNameType *) _attrs[I_discriminatorId]; }

inline MFilter * discriminator::discriminatorConstruct()
{ return (MFilter *) _attrs[I_discriminatorConstruct]; }

inline AdministrativeState * discriminator::administrativeState()
{ return (AdministrativeState *) _attrs[I_administrativeState]; }

inline OperationalState * discriminator::operationalState()
{ return (OperationalState *) _attrs[I_operationalState]; }


#endif /* !_discriminator_h_ */

/* End of file */
