/*****************************************************************************

    movingAverageMeanMonitor.h file generated from header.hg

*****************************************************************************/


#if !defined(_movingAverageMeanMonitor_h_)
#define      _movingAverageMeanMonitor_h_


class Gauge;
class TimePeriod;
class GaugeThreshold;
class TideMark;



#include "monitorMetric.h"


class movingAverageMeanMonitor : public monitorMetric
{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 3 */,
    I_estimateOfMean,
    I_movingTimePeriod,
    I_estimateOfMeanSeverityIndicatingGaugeThreshold,
    I_estimateOfMeanSeverityIndicatingTideMarkMax,
    I_estimateOfMeanSeverityIndicatingTideMarkMin;
#define I_movingAverageMeanMonitorNATTRS    5

    Attr        *_attrs[I_movingAverageMeanMonitorNATTRS];



    movingAverageMeanMonitor(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    Gauge *		estimateOfMean();
    TimePeriod *		movingTimePeriod();
    GaugeThreshold *		estimateOfMeanSeverityIndicatingGaugeThreshold();
    TideMark *		estimateOfMeanSeverityIndicatingTideMarkMax();
    TideMark *		estimateOfMeanSeverityIndicatingTideMarkMin();

/*
** User code start **
*/

#include"movingAverageMeanMonitor.inc.h"

/*
** User code finish **
*/

}; /* movingAverageMeanMonitor */


/* inline methods */

inline MOClassInfo * movingAverageMeanMonitor::getClassInfo()
{ return _classInfo; }

inline Gauge * movingAverageMeanMonitor::estimateOfMean()
{ return (Gauge *) _attrs[I_estimateOfMean]; }

inline TimePeriod * movingAverageMeanMonitor::movingTimePeriod()
{ return (TimePeriod *) _attrs[I_movingTimePeriod]; }

inline GaugeThreshold * movingAverageMeanMonitor::estimateOfMeanSeverityIndicatingGaugeThreshold()
{ return (GaugeThreshold *) _attrs[I_estimateOfMeanSeverityIndicatingGaugeThreshold]; }

inline TideMark * movingAverageMeanMonitor::estimateOfMeanSeverityIndicatingTideMarkMax()
{ return (TideMark *) _attrs[I_estimateOfMeanSeverityIndicatingTideMarkMax]; }

inline TideMark * movingAverageMeanMonitor::estimateOfMeanSeverityIndicatingTideMarkMin()
{ return (TideMark *) _attrs[I_estimateOfMeanSeverityIndicatingTideMarkMin]; }


#endif /* !_movingAverageMeanMonitor_h_ */

/* End of file */
