--
-- Copyright (c) 1988 University College London
-- All rights reserved.
--
-- Redistribution and use in source and binary forms are permitted
-- provided that the above copyright notice and this paragraph are
-- duplicated in all such forms and that any documentation,
-- advertising materials, and other materials related to such
-- distribution and use acknowledge that the software was developed
-- by the Department of Computer Science, University College London.
-- The name of the University may not be used to
-- endorse or promote products derived from this software without
-- specific prior written permission.
-- THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
-- IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
-- WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
--

-- msap2.py - CMIP2 ASN.1 module, necessary to overcome a pepsy bug;
--            note it is *not* possible to merge this with CMIP in msap.py
--	      as pepsy is not happy


CMIP2 DEFINITIONS ::=

PREFIXES build parse print

BEGIN


IMPORTS ObjectInstance FROM CMIP
	{ joint-iso-ccitt ms(9) cmip(1) versio2(2) abstractSyntax(4) };


CreateInstance ::= CHOICE
    {
    managedObjectInstance	ObjectInstance,
    superiorObjectInstance	[8] ObjectInstance
    }


END

