/* @(#)PrxIIMCSntx-syntax.h 	 08/08/1994 - 12:28  */

/********************************************************************

  Module:   PrxIIMCSntx-syntax.h


  Descr.:   Prototypes of enc/dec/free/print funct. for syntax registr.


  Created:  Mon Aug 08, 1994


  Coded by: Attribute Compiler - Luca Deri 1993


********************************************************************/


#ifndef _PrxIIMCSntx_syntax_h
#define _PrxIIMCSntx_syntax_h

#include "PrxIIMCSntx-types.h"

#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_SnmpOpType(struct type_PrxIIMCSntx_SnmpOpType*);
   struct type_PrxIIMCSntx_SnmpOpType* parse_SnmpOpType(PE);
   int SnmpOpType_free(struct type_PrxIIMCSntx_SnmpOpType*);
   struct type_PrxIIMCSntx_SnmpOpType** getnext_SnmpOpType(struct type_PrxIIMCSntx_SnmpOpType*);
#ifdef __cplusplus
}
#endif
#else
   PE build_SnmpOpType();
   struct type_PrxIIMCSntx_SnmpOpType* parse_SnmpOpType();
   int SnmpOpType_free();
   struct type_PrxIIMCSntx_SnmpOpType** getnext_SnmpOpType();
#endif


#define free_PrxIIMCSntx_SnmpOpType pe_free /* pepsy bug fix! */

#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_ObjIdent(struct type_PrxIIMCSntx_ObjIdent*);
   struct type_PrxIIMCSntx_ObjIdent* parse_ObjIdent(PE);
   int ObjIdent_free(struct type_PrxIIMCSntx_ObjIdent*);
   struct type_PrxIIMCSntx_ObjIdent** getnext_ObjIdent(struct type_PrxIIMCSntx_ObjIdent*);
#ifdef __cplusplus
}
#endif
#else
   PE build_ObjIdent();
   struct type_PrxIIMCSntx_ObjIdent* parse_ObjIdent();
   int ObjIdent_free();
   struct type_PrxIIMCSntx_ObjIdent** getnext_ObjIdent();
#endif


#define free_PrxIIMCSntx_ObjIdent oid_free /* pepsy bug fix! */

#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_TransportDomain(struct type_PrxIIMCSntx_TransportDomain*);
   struct type_PrxIIMCSntx_TransportDomain* parse_TransportDomain(PE);
   int TransportDomain_free(struct type_PrxIIMCSntx_TransportDomain*);
   struct type_PrxIIMCSntx_TransportDomain** getnext_TransportDomain(struct type_PrxIIMCSntx_TransportDomain*);
#ifdef __cplusplus
}
#endif
#else
   PE build_TransportDomain();
   struct type_PrxIIMCSntx_TransportDomain* parse_TransportDomain();
   int TransportDomain_free();
   struct type_PrxIIMCSntx_TransportDomain** getnext_TransportDomain();
#endif


#define free_PrxIIMCSntx_TransportDomain oid_free /* pepsy bug fix! */

#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_TransportAddress(struct type_PrxIIMCSntx_TransportAddress*);
   struct type_PrxIIMCSntx_TransportAddress* parse_TransportAddress(PE);
   int TransportAddress_free(struct type_PrxIIMCSntx_TransportAddress*);
   struct type_PrxIIMCSntx_TransportAddress** getnext_TransportAddress(struct type_PrxIIMCSntx_TransportAddress*);
#ifdef __cplusplus
}
#endif
#else
   PE build_TransportAddress();
   struct type_PrxIIMCSntx_TransportAddress* parse_TransportAddress();
   int TransportAddress_free();
   struct type_PrxIIMCSntx_TransportAddress** getnext_TransportAddress();
#endif


#define free_PrxIIMCSntx_TransportAddress qb_free /* pepsy bug fix! */

#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_AccessControlEnforcement(struct type_PrxIIMCSntx_AccessControlEnforcement*);
   struct type_PrxIIMCSntx_AccessControlEnforcement* parse_AccessControlEnforcement(PE);
   int AccessControlEnforcement_free(struct type_PrxIIMCSntx_AccessControlEnforcement*);
   struct type_PrxIIMCSntx_AccessControlEnforcement** getnext_AccessControlEnforcement(struct type_PrxIIMCSntx_AccessControlEnforcement*);
#ifdef __cplusplus
}
#endif
#else
   PE build_AccessControlEnforcement();
   struct type_PrxIIMCSntx_AccessControlEnforcement* parse_AccessControlEnforcement();
   int AccessControlEnforcement_free();
   struct type_PrxIIMCSntx_AccessControlEnforcement** getnext_AccessControlEnforcement();
#endif


#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_PollPeriod(struct type_PrxIIMCSntx_PollPeriod*);
   struct type_PrxIIMCSntx_PollPeriod* parse_PollPeriod(PE);
   int PollPeriod_free(struct type_PrxIIMCSntx_PollPeriod*);
   struct type_PrxIIMCSntx_PollPeriod** getnext_PollPeriod(struct type_PrxIIMCSntx_PollPeriod*);
#ifdef __cplusplus
}
#endif
#else
   PE build_PollPeriod();
   struct type_PrxIIMCSntx_PollPeriod* parse_PollPeriod();
   int PollPeriod_free();
   struct type_PrxIIMCSntx_PollPeriod** getnext_PollPeriod();
#endif


#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_ProtoNotImplErrorInfo(struct type_PrxIIMCSntx_ProtoNotImplErrorInfo*);
   struct type_PrxIIMCSntx_ProtoNotImplErrorInfo* parse_ProtoNotImplErrorInfo(PE);
   int ProtoNotImplErrorInfo_free(struct type_PrxIIMCSntx_ProtoNotImplErrorInfo*);
   struct type_PrxIIMCSntx_ProtoNotImplErrorInfo** getnext_ProtoNotImplErrorInfo(struct type_PrxIIMCSntx_ProtoNotImplErrorInfo*);
#ifdef __cplusplus
}
#endif
#else
   PE build_ProtoNotImplErrorInfo();
   struct type_PrxIIMCSntx_ProtoNotImplErrorInfo* parse_ProtoNotImplErrorInfo();
   int ProtoNotImplErrorInfo_free();
   struct type_PrxIIMCSntx_ProtoNotImplErrorInfo** getnext_ProtoNotImplErrorInfo();
#endif


#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_RetryLimit(struct type_PrxIIMCSntx_RetryLimit*);
   struct type_PrxIIMCSntx_RetryLimit* parse_RetryLimit(PE);
   int RetryLimit_free(struct type_PrxIIMCSntx_RetryLimit*);
   struct type_PrxIIMCSntx_RetryLimit** getnext_RetryLimit(struct type_PrxIIMCSntx_RetryLimit*);
#ifdef __cplusplus
}
#endif
#else
   PE build_RetryLimit();
   struct type_PrxIIMCSntx_RetryLimit* parse_RetryLimit();
   int RetryLimit_free();
   struct type_PrxIIMCSntx_RetryLimit** getnext_RetryLimit();
#endif


#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_AccessControlInfo(struct type_PrxIIMCSntx_AccessControlInfo*);
   struct type_PrxIIMCSntx_AccessControlInfo* parse_AccessControlInfo(PE);
   int AccessControlInfo_free(struct type_PrxIIMCSntx_AccessControlInfo*);
   struct type_PrxIIMCSntx_AccessControlInfo** getnext_AccessControlInfo(struct type_PrxIIMCSntx_AccessControlInfo*);
#ifdef __cplusplus
}
#endif
#else
   PE build_AccessControlInfo();
   struct type_PrxIIMCSntx_AccessControlInfo* parse_AccessControlInfo();
   int AccessControlInfo_free();
   struct type_PrxIIMCSntx_AccessControlInfo** getnext_AccessControlInfo();
#endif


#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_SnmpSecurity(struct type_PrxIIMCSntx_SnmpSecurity*);
   struct type_PrxIIMCSntx_SnmpSecurity* parse_SnmpSecurity(PE);
   int SnmpSecurity_free(struct type_PrxIIMCSntx_SnmpSecurity*);
   struct type_PrxIIMCSntx_SnmpSecurity** getnext_SnmpSecurity(struct type_PrxIIMCSntx_SnmpSecurity*);
#ifdef __cplusplus
}
#endif
#else
   PE build_SnmpSecurity();
   struct type_PrxIIMCSntx_SnmpSecurity* parse_SnmpSecurity();
   int SnmpSecurity_free();
   struct type_PrxIIMCSntx_SnmpSecurity** getnext_SnmpSecurity();
#endif


#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_SupportedMIBs(struct type_PrxIIMCSntx_SupportedMIBs*);
   struct type_PrxIIMCSntx_SupportedMIBs* parse_SupportedMIBs(PE);
   int SupportedMIBs_free(struct type_PrxIIMCSntx_SupportedMIBs*);
   struct type_PrxIIMCSntx_SupportedMIBs** getnext_SupportedMIBs(struct type_PrxIIMCSntx_SupportedMIBs*);
#ifdef __cplusplus
}
#endif
#else
   PE build_SupportedMIBs();
   struct type_PrxIIMCSntx_SupportedMIBs* parse_SupportedMIBs();
   int SupportedMIBs_free();
   struct type_PrxIIMCSntx_SupportedMIBs** getnext_SupportedMIBs();
#endif


#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_TimeoutInterval(struct type_PrxIIMCSntx_TimeoutInterval*);
   struct type_PrxIIMCSntx_TimeoutInterval* parse_TimeoutInterval(PE);
   int TimeoutInterval_free(struct type_PrxIIMCSntx_TimeoutInterval*);
   struct type_PrxIIMCSntx_TimeoutInterval** getnext_TimeoutInterval(struct type_PrxIIMCSntx_TimeoutInterval*);
#ifdef __cplusplus
}
#endif
#else
   PE build_TimeoutInterval();
   struct type_PrxIIMCSntx_TimeoutInterval* parse_TimeoutInterval();
   int TimeoutInterval_free();
   struct type_PrxIIMCSntx_TimeoutInterval** getnext_TimeoutInterval();
#endif


#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_TransportAddresses(struct type_PrxIIMCSntx_TransportAddresses*);
   struct type_PrxIIMCSntx_TransportAddresses* parse_TransportAddresses(PE);
   int TransportAddresses_free(struct type_PrxIIMCSntx_TransportAddresses*);
   struct type_PrxIIMCSntx_TransportAddresses** getnext_TransportAddresses(struct type_PrxIIMCSntx_TransportAddresses*);
#ifdef __cplusplus
}
#endif
#else
   PE build_TransportAddresses();
   struct type_PrxIIMCSntx_TransportAddresses* parse_TransportAddresses();
   int TransportAddresses_free();
   struct type_PrxIIMCSntx_TransportAddresses** getnext_TransportAddresses();
#endif


#if defined(__STDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
   PE build_NullRDN(struct type_PrxIIMCSntx_NullRDN*);
   struct type_PrxIIMCSntx_NullRDN* parse_NullRDN(PE);
   int NullRDN_free(struct type_PrxIIMCSntx_NullRDN*);
   struct type_PrxIIMCSntx_NullRDN** getnext_NullRDN(struct type_PrxIIMCSntx_NullRDN*);
#ifdef __cplusplus
}
#endif
#else
   PE build_NullRDN();
   struct type_PrxIIMCSntx_NullRDN* parse_NullRDN();
   int NullRDN_free();
   struct type_PrxIIMCSntx_NullRDN** getnext_NullRDN();
#endif



#endif /* !_PrxIIMCSntx_syntax_h_ */

