-- IIMC specific syntaxes
-- K.M.T.McCarthy
-- 13-Nov-93
PrxIIMCSntx { ccitt(0) data(9) pss(2342) ucl(19200300) iimc(114) iimcSyntaxes(1) 2 }

DEFINITIONS ::=

PREFIXES build parse print

BEGIN

SECTIONS build parse none

	AccessControlEnforcement ::= INTEGER {
					agent (0),
					proxy (1),
					both  (2)
				     }

	PollPeriod ::= INTEGER(0..100) -- seconds

	ProtoNotImplErrorInfo ::= INTEGER{ 
					transportProtocol(0),
					authenticationProtocol(1),
					privacyProtocol(2)
				  }
	RetryLimit ::= INTEGER(0..100)

	SnmpOpType ::= BIT STRING {
			get(0),
			getNext(1),
			response(2),
			set(3),
			getBulk(5),
			inform(6),
			trap(7)
		       }

	AccessControlInfo ::= CHOICE {
				communityString [0] OCTET STRING,
				partyInfo	[1] SEQUENCE {
							srcParty OBJECT IDENTIFIER,
							dstParty OBJECT IDENTIFIER,
							context  OBJECT IDENTIFIER
						    }
			      }

	SnmpSecurity ::= SET OF SEQUENCE {
			snmpOperation SnmpOpType,
			snmpSecurityInfo AccessControlInfo
		       }

	ObjIdent ::= OBJECT IDENTIFIER -- attr comp work-around
	SupportedMIBs ::= SET OF ObjIdent

	TimeoutInterval ::= INTEGER(0..60000) -- milliseconds

	TransportDomain ::= OBJECT IDENTIFIER

	TransportAddress ::= OCTET STRING

	TransportAddresses ::= SET SIZE(1..10) OF SEQUENCE {
				domain  TransportDomain,
				address TransportAddress
			       }
	NullRDN ::= NULL	
END
