#include <stdio.h>
#include "SNMP-types.h"


extern caddr_t _ZptrtabSNMP[];	/* forward decl */

#define OFFSET(t,f)	((int ) &(((t *)0)->f))


#define AOFFSET(t,f)	((int ) (((t *)0)->f))

static ptpe et_SnmpPrivMsgSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[0] },
	{ SSEQ_START, 0, 1, FL_CONTEXT, (char **)&_ZptrtabSNMP[0] },
	{ OBJID, OFFSET(struct type_SNMP_SnmpPrivMsg, privDst), 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[1] },
	{ OCTETSTRING, OFFSET(struct type_SNMP_SnmpPrivMsg, privData), 1, FL_CONTEXT, (char **)&_ZptrtabSNMP[2] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[0] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[0] }
	};

static ptpe et_SnmpAuthMsgSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[3] },
	{ SSEQ_START, 0, 1, FL_CONTEXT, (char **)&_ZptrtabSNMP[3] },
	{ OBJECT, OFFSET(struct type_SNMP_SnmpAuthMsg, authInfo), _ZAuthInformationSNMP, 0, (char **)&_ZptrtabSNMP[4] },
	{ OBJECT, OFFSET(struct type_SNMP_SnmpAuthMsg, authData), _ZSnmpMgmtComSNMP, 0, (char **)&_ZptrtabSNMP[5] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[3] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[3] }
	};

static ptpe et_AuthInformationSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ SCHOICE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ SCTRL, OFFSET(struct type_SNMP_AuthInformation, offset), 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ OCTETSTRING, OFFSET(struct type_SNMP_AuthInformation, un.choice_SNMP_0), 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[6] },
	{ SEQ_START, OFFSET(struct type_SNMP_AuthInformation, un.choice_SNMP_1), 2, FL_CONTEXT, (char **)&_ZptrtabSNMP[6] },
	{ OCTETSTRING, OFFSET(struct element_SNMP_0, authDigest), 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[7] },
	{ INTEGER, OFFSET(struct element_SNMP_0, authDstTimestamp), 7, FL_APPLICATION, (char **)&_ZptrtabSNMP[8] },
	{ INTEGER, OFFSET(struct element_SNMP_0, authSrcTimestamp), 7, FL_APPLICATION, (char **)&_ZptrtabSNMP[9] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[6] }
	};

static ptpe et_SnmpMgmtComSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[10] },
	{ SSEQ_START, 0, 2, FL_CONTEXT, (char **)&_ZptrtabSNMP[10] },
	{ OBJID, OFFSET(struct type_SNMP_SnmpMgmtCom, dstParty), 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[11] },
	{ OBJID, OFFSET(struct type_SNMP_SnmpMgmtCom, srcParty), 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[12] },
	{ OBJID, OFFSET(struct type_SNMP_SnmpMgmtCom, context), 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[13] },
	{ OBJECT, OFFSET(struct type_SNMP_SnmpMgmtCom, pdu), _ZPDUsSNMP, 0, (char **)&_ZptrtabSNMP[14] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[10] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[10] }
	};

static ptpe et_PDUsSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[15] },
	{ SCHOICE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[15] },
	{ SCTRL, OFFSET(struct type_SNMP_PDUs, offset), 0, 0, (char **)&_ZptrtabSNMP[15] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.get__request), _ZGetRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[16] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.get__next__request), _ZGetNextRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[17] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.get__bulk__request), _ZGetBulkRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[18] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.response), _ZResponse_PDUSNMP, 0, (char **)&_ZptrtabSNMP[19] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.set__request), _ZSetRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[20] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.inform__request), _ZInformRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[21] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.snmpV2__trap), _ZSNMPv2_Trap_PDUSNMP, 0, (char **)&_ZptrtabSNMP[22] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.trap), _ZTrap_PDUSNMP, 0, (char **)&_ZptrtabSNMP[23] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[15] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[15] }
	};

static ptpe et_GetRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[24] },
	{ IMP_OBJ, 0, 0, FL_CONTEXT, (char **)&_ZptrtabSNMP[24] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[24] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[24] }
	};

static ptpe et_GetNextRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[25] },
	{ IMP_OBJ, 0, 1, FL_CONTEXT, (char **)&_ZptrtabSNMP[25] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[25] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[25] }
	};

static ptpe et_GetBulkRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[26] },
	{ IMP_OBJ, 0, 5, FL_CONTEXT, (char **)&_ZptrtabSNMP[26] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[26] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[26] }
	};

static ptpe et_Response_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[27] },
	{ IMP_OBJ, 0, 2, FL_CONTEXT, (char **)&_ZptrtabSNMP[27] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[27] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[27] }
	};

static ptpe et_SetRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[28] },
	{ IMP_OBJ, 0, 3, FL_CONTEXT, (char **)&_ZptrtabSNMP[28] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[28] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[28] }
	};

static ptpe et_InformRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[29] },
	{ IMP_OBJ, 0, 6, FL_CONTEXT, (char **)&_ZptrtabSNMP[29] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[29] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[29] }
	};

static ptpe et_SNMPv2_Trap_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[30] },
	{ IMP_OBJ, 0, 7, FL_CONTEXT, (char **)&_ZptrtabSNMP[30] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[30] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[30] }
	};

static ptpe et_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[31] },
	{ SSEQ_START, 0, 16, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[31] },
	{ INTEGER, OFFSET(struct type_SNMP_PDU, request__id), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[32] },
	{ INTEGER, OFFSET(struct type_SNMP_PDU, error__status), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[33] },
	{ INTEGER, OFFSET(struct type_SNMP_PDU, error__index), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[34] },
	{ OBJECT, OFFSET(struct type_SNMP_PDU, variable__bindings), _ZVarBindListSNMP, 0, (char **)&_ZptrtabSNMP[35] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[31] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[31] }
	};

static ptpe et_VarBindSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[36] },
	{ SSEQ_START, 0, 16, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[36] },
	{ OBJECT, OFFSET(struct type_SNMP_VarBind, name), _ZObjectNameSNMP, 0, (char **)&_ZptrtabSNMP[37] },
	{ OBJECT, OFFSET(struct type_SNMP_VarBind, value), _ZObjectSyntaxSNMP, 0, (char **)&_ZptrtabSNMP[38] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[36] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[36] }
	};

static ptpe et_VarBindListSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[39] },
	{ SSEQOF_START, 0, 16, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[39] },
	{ OBJECT, OFFSET(struct type_SNMP_VarBindList, VarBind), _ZVarBindSNMP, 0, (char **)&_ZptrtabSNMP[39] },
	{ PE_END, OFFSET(struct type_SNMP_VarBindList, next), 0, 0, (char **)&_ZptrtabSNMP[39] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[39] }
	};

static ptpe et_ObjectNameSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[40] },
	{ SOBJID, 0, 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[40] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[40] }
	};

static ptpe et_ObjectSyntaxSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[41] },
	{ SANY, 0, -1, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[41] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[41] }
	};

static ptpe et_DisplayStringSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[42] },
	{ SOCTETSTRING, 0, 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[42] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[42] }
	};

static ptpe et_AuditSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[43] },
	{ SSEQ_START, 0, 16, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[43] },
	{ OBJECT, OFFSET(struct type_SNMP_Audit, source), _ZDisplayStringSNMP, 0, (char **)&_ZptrtabSNMP[44] },
	{ OCTETSTRING, OFFSET(struct type_SNMP_Audit, dateAndTime), 24, 0, (char **)&_ZptrtabSNMP[45] },
	{ INTEGER, OFFSET(struct type_SNMP_Audit, sizeOfEncodingWhichFollows), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[46] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[43] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[43] }
	};

static ptpe et_Snmp1157MsgSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[47] },
	{ SSEQ_START, 0, 16, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[47] },
	{ INTEGER, OFFSET(struct type_SNMP_Snmp1157Msg, version), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[48] },
	{ OCTETSTRING, OFFSET(struct type_SNMP_Snmp1157Msg, community), 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[49] },
	{ OBJECT, OFFSET(struct type_SNMP_Snmp1157Msg, data), _ZPDUsSNMP, 0, (char **)&_ZptrtabSNMP[50] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[47] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[47] }
	};

static ptpe et_NetworkAddressSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[51] },
	{ SOBJECT, 0, _ZIpAddressSNMP, 0, (char **)&_ZptrtabSNMP[52] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[51] }
	};

static ptpe et_IpAddressSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[53] },
	{ SOCTETSTRING, 0, 0, FL_APPLICATION, (char **)&_ZptrtabSNMP[53] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[53] }
	};

static ptpe et_TimeTicksSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[54] },
	{ INTEGER, OFFSET(struct type_SNMP_TimeTicks, parm), 3, FL_APPLICATION, (char **)&_ZptrtabSNMP[54] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[54] }
	};

static ptpe et_Trap_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[55] },
	{ SSEQ_START, 0, 4, FL_CONTEXT, (char **)&_ZptrtabSNMP[55] },
	{ OBJID, OFFSET(struct type_SNMP_Trap__PDU, enterprise), 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[56] },
	{ OBJECT, OFFSET(struct type_SNMP_Trap__PDU, agent__addr), _ZNetworkAddressSNMP, 0, (char **)&_ZptrtabSNMP[57] },
	{ INTEGER, OFFSET(struct type_SNMP_Trap__PDU, generic__trap), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[58] },
	{ INTEGER, OFFSET(struct type_SNMP_Trap__PDU, specific__trap), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[59] },
	{ OBJECT, OFFSET(struct type_SNMP_Trap__PDU, time__stamp), _ZTimeTicksSNMP, 0, (char **)&_ZptrtabSNMP[60] },
	{ OBJECT, OFFSET(struct type_SNMP_Trap__PDU, variable__bindings), _ZVarBindListSNMP, 0, (char **)&_ZptrtabSNMP[35] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[55] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[55] }
	};

static ptpe et_NsapAddressSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[61] },
	{ ETAG, 0, 5, FL_APPLICATION, (char **)&_ZptrtabSNMP[61] },
	{ SOCTETSTRING, 0, 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[61] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[61] }
	};

static ptpe dt_SnmpPrivMsgSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[0] },
	{ SSEQ_START, 0, 1, FL_CONTEXT, (char **)&_ZptrtabSNMP[0] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_SnmpPrivMsg), 0, (char **)&_ZptrtabSNMP[0] },
	{ OBJID, OFFSET(struct type_SNMP_SnmpPrivMsg, privDst), 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[1] },
	{ OCTETSTRING, OFFSET(struct type_SNMP_SnmpPrivMsg, privData), 1, FL_CONTEXT, (char **)&_ZptrtabSNMP[2] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[0] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[0] }
	};

static ptpe dt_SnmpAuthMsgSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[3] },
	{ SSEQ_START, 0, 1, FL_CONTEXT, (char **)&_ZptrtabSNMP[3] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_SnmpAuthMsg), 0, (char **)&_ZptrtabSNMP[3] },
	{ OBJECT, OFFSET(struct type_SNMP_SnmpAuthMsg, authInfo), _ZAuthInformationSNMP, 0, (char **)&_ZptrtabSNMP[4] },
	{ OBJECT, OFFSET(struct type_SNMP_SnmpAuthMsg, authData), _ZSnmpMgmtComSNMP, 0, (char **)&_ZptrtabSNMP[5] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[3] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[3] }
	};

static ptpe dt_AuthInformationSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ SCHOICE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_AuthInformation), 0, (char **)&_ZptrtabSNMP[6] },
	{ SCTRL, OFFSET(struct type_SNMP_AuthInformation, offset), 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ OCTETSTRING, OFFSET(struct type_SNMP_AuthInformation, un.choice_SNMP_0), 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[6] },
	{ SEQ_START, OFFSET(struct type_SNMP_AuthInformation, un.choice_SNMP_1), 2, FL_CONTEXT, (char **)&_ZptrtabSNMP[6] },
	{ MEMALLOC, 0, sizeof (struct element_SNMP_0), 0, (char **)&_ZptrtabSNMP[6] },
	{ OCTETSTRING, OFFSET(struct element_SNMP_0, authDigest), 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[7] },
	{ INTEGER, OFFSET(struct element_SNMP_0, authDstTimestamp), 7, FL_APPLICATION, (char **)&_ZptrtabSNMP[8] },
	{ INTEGER, OFFSET(struct element_SNMP_0, authSrcTimestamp), 7, FL_APPLICATION, (char **)&_ZptrtabSNMP[9] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[6] }
	};

static ptpe dt_SnmpMgmtComSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[10] },
	{ SSEQ_START, 0, 2, FL_CONTEXT, (char **)&_ZptrtabSNMP[10] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_SnmpMgmtCom), 0, (char **)&_ZptrtabSNMP[10] },
	{ OBJID, OFFSET(struct type_SNMP_SnmpMgmtCom, dstParty), 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[11] },
	{ OBJID, OFFSET(struct type_SNMP_SnmpMgmtCom, srcParty), 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[12] },
	{ OBJID, OFFSET(struct type_SNMP_SnmpMgmtCom, context), 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[13] },
	{ OBJECT, OFFSET(struct type_SNMP_SnmpMgmtCom, pdu), _ZPDUsSNMP, 0, (char **)&_ZptrtabSNMP[14] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[10] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[10] }
	};

static ptpe dt_PDUsSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[15] },
	{ SCHOICE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[15] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_PDUs), 0, (char **)&_ZptrtabSNMP[15] },
	{ SCTRL, OFFSET(struct type_SNMP_PDUs, offset), 0, 0, (char **)&_ZptrtabSNMP[15] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.get__request), _ZGetRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[16] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.get__next__request), _ZGetNextRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[17] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.get__bulk__request), _ZGetBulkRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[18] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.response), _ZResponse_PDUSNMP, 0, (char **)&_ZptrtabSNMP[19] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.set__request), _ZSetRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[20] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.inform__request), _ZInformRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[21] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.snmpV2__trap), _ZSNMPv2_Trap_PDUSNMP, 0, (char **)&_ZptrtabSNMP[22] },
	{ OBJECT, OFFSET(struct type_SNMP_PDUs, un.trap), _ZTrap_PDUSNMP, 0, (char **)&_ZptrtabSNMP[23] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[15] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[15] }
	};

static ptpe dt_GetRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[24] },
	{ IMP_OBJ, 0, 0, FL_CONTEXT, (char **)&_ZptrtabSNMP[24] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[24] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[24] }
	};

static ptpe dt_GetNextRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[25] },
	{ IMP_OBJ, 0, 1, FL_CONTEXT, (char **)&_ZptrtabSNMP[25] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[25] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[25] }
	};

static ptpe dt_GetBulkRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[26] },
	{ IMP_OBJ, 0, 5, FL_CONTEXT, (char **)&_ZptrtabSNMP[26] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[26] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[26] }
	};

static ptpe dt_Response_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[27] },
	{ IMP_OBJ, 0, 2, FL_CONTEXT, (char **)&_ZptrtabSNMP[27] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[27] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[27] }
	};

static ptpe dt_SetRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[28] },
	{ IMP_OBJ, 0, 3, FL_CONTEXT, (char **)&_ZptrtabSNMP[28] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[28] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[28] }
	};

static ptpe dt_InformRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[29] },
	{ IMP_OBJ, 0, 6, FL_CONTEXT, (char **)&_ZptrtabSNMP[29] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[29] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[29] }
	};

static ptpe dt_SNMPv2_Trap_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[30] },
	{ IMP_OBJ, 0, 7, FL_CONTEXT, (char **)&_ZptrtabSNMP[30] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[30] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[30] }
	};

static ptpe dt_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[31] },
	{ SSEQ_START, 0, 16, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[31] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_PDU), 0, (char **)&_ZptrtabSNMP[31] },
	{ INTEGER, OFFSET(struct type_SNMP_PDU, request__id), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[32] },
	{ INTEGER, OFFSET(struct type_SNMP_PDU, error__status), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[33] },
	{ INTEGER, OFFSET(struct type_SNMP_PDU, error__index), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[34] },
	{ OBJECT, OFFSET(struct type_SNMP_PDU, variable__bindings), _ZVarBindListSNMP, 0, (char **)&_ZptrtabSNMP[35] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[31] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[31] }
	};

static ptpe dt_VarBindSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[36] },
	{ SSEQ_START, 0, 16, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[36] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_VarBind), 0, (char **)&_ZptrtabSNMP[36] },
	{ OBJECT, OFFSET(struct type_SNMP_VarBind, name), _ZObjectNameSNMP, 0, (char **)&_ZptrtabSNMP[37] },
	{ OBJECT, OFFSET(struct type_SNMP_VarBind, value), _ZObjectSyntaxSNMP, 0, (char **)&_ZptrtabSNMP[38] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[36] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[36] }
	};

static ptpe dt_VarBindListSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[39] },
	{ SSEQOF_START, 0, 16, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[39] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_VarBindList), 0, (char **)&_ZptrtabSNMP[39] },
	{ OBJECT, OFFSET(struct type_SNMP_VarBindList, VarBind), _ZVarBindSNMP, 0, (char **)&_ZptrtabSNMP[39] },
	{ PE_END, OFFSET(struct type_SNMP_VarBindList, next), 0, 0, (char **)&_ZptrtabSNMP[39] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[39] }
	};

static ptpe dt_ObjectNameSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[40] },
	{ SOBJID, 0, 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[40] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[40] }
	};

static ptpe dt_ObjectSyntaxSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[41] },
	{ SANY, 0, -1, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[41] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[41] }
	};

static ptpe dt_DisplayStringSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[42] },
	{ SOCTETSTRING, 0, 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[42] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[42] }
	};

static ptpe dt_AuditSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[43] },
	{ SSEQ_START, 0, 16, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[43] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_Audit), 0, (char **)&_ZptrtabSNMP[43] },
	{ OBJECT, OFFSET(struct type_SNMP_Audit, source), _ZDisplayStringSNMP, 0, (char **)&_ZptrtabSNMP[44] },
	{ OCTETSTRING, OFFSET(struct type_SNMP_Audit, dateAndTime), 24, 0, (char **)&_ZptrtabSNMP[45] },
	{ INTEGER, OFFSET(struct type_SNMP_Audit, sizeOfEncodingWhichFollows), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[46] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[43] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[43] }
	};

static ptpe dt_Snmp1157MsgSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[47] },
	{ SSEQ_START, 0, 16, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[47] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_Snmp1157Msg), 0, (char **)&_ZptrtabSNMP[47] },
	{ INTEGER, OFFSET(struct type_SNMP_Snmp1157Msg, version), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[48] },
	{ OCTETSTRING, OFFSET(struct type_SNMP_Snmp1157Msg, community), 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[49] },
	{ OBJECT, OFFSET(struct type_SNMP_Snmp1157Msg, data), _ZPDUsSNMP, 0, (char **)&_ZptrtabSNMP[50] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[47] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[47] }
	};

static ptpe dt_NetworkAddressSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[51] },
	{ SOBJECT, 0, _ZIpAddressSNMP, 0, (char **)&_ZptrtabSNMP[52] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[51] }
	};

static ptpe dt_IpAddressSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[53] },
	{ SOCTETSTRING, 0, 0, FL_APPLICATION, (char **)&_ZptrtabSNMP[53] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[53] }
	};

static ptpe dt_TimeTicksSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[54] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_TimeTicks), 0, (char **)&_ZptrtabSNMP[54] },
	{ INTEGER, OFFSET(struct type_SNMP_TimeTicks, parm), 3, FL_APPLICATION, (char **)&_ZptrtabSNMP[54] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[54] }
	};

static ptpe dt_Trap_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[55] },
	{ SSEQ_START, 0, 4, FL_CONTEXT, (char **)&_ZptrtabSNMP[55] },
	{ MEMALLOC, 0, sizeof (struct type_SNMP_Trap__PDU), 0, (char **)&_ZptrtabSNMP[55] },
	{ OBJID, OFFSET(struct type_SNMP_Trap__PDU, enterprise), 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[56] },
	{ OBJECT, OFFSET(struct type_SNMP_Trap__PDU, agent__addr), _ZNetworkAddressSNMP, 0, (char **)&_ZptrtabSNMP[57] },
	{ INTEGER, OFFSET(struct type_SNMP_Trap__PDU, generic__trap), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[58] },
	{ INTEGER, OFFSET(struct type_SNMP_Trap__PDU, specific__trap), 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[59] },
	{ OBJECT, OFFSET(struct type_SNMP_Trap__PDU, time__stamp), _ZTimeTicksSNMP, 0, (char **)&_ZptrtabSNMP[60] },
	{ OBJECT, OFFSET(struct type_SNMP_Trap__PDU, variable__bindings), _ZVarBindListSNMP, 0, (char **)&_ZptrtabSNMP[35] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[55] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[55] }
	};

static ptpe dt_NsapAddressSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[61] },
	{ ETAG, 0, 5, FL_APPLICATION, (char **)&_ZptrtabSNMP[61] },
	{ SOCTETSTRING, 0, 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[61] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[61] }
	};

static ptpe pt_SnmpPrivMsgSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[0] },
	{ SSEQ_START, -1, 1, FL_CONTEXT, NULLVP },
	{ OBJID, -1, 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[1] },
	{ OCTETSTRING, -1, 1, FL_CONTEXT, (char **)&_ZptrtabSNMP[2] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[0] }
	};

static ptpe pt_SnmpAuthMsgSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[3] },
	{ SSEQ_START, -1, 1, FL_CONTEXT, NULLVP },
	{ OBJECT, 0, _ZAuthInformationSNMP, 0, (char **)&_ZptrtabSNMP[4] },
	{ OBJECT, 0, _ZSnmpMgmtComSNMP, 0, (char **)&_ZptrtabSNMP[5] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[3] }
	};

static ptpe pt_AuthInformationSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[6] },
	{ SCHOICE_START, -1, 0, 0, NULLVP },
	{ SCTRL, 0, 0, 0, NULLVP },
	{ OCTETSTRING, -1, 4, FL_UNIVERSAL, NULLVP },
	{ SEQ_START, -1, 2, FL_CONTEXT, NULLVP },
	{ OCTETSTRING, -1, 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[7] },
	{ INTEGER, -1, 7, FL_APPLICATION, (char **)&_ZptrtabSNMP[8] },
	{ INTEGER, -1, 7, FL_APPLICATION, (char **)&_ZptrtabSNMP[9] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[6] }
	};

static ptpe pt_SnmpMgmtComSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[10] },
	{ SSEQ_START, -1, 2, FL_CONTEXT, NULLVP },
	{ OBJID, -1, 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[11] },
	{ OBJID, -1, 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[12] },
	{ OBJID, -1, 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[13] },
	{ OBJECT, 0, _ZPDUsSNMP, 0, (char **)&_ZptrtabSNMP[14] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[10] }
	};

static ptpe pt_PDUsSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[15] },
	{ SCHOICE_START, -1, 0, 0, NULLVP },
	{ SCTRL, 0, 0, 0, NULLVP },
	{ OBJECT, 0, _ZGetRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[16] },
	{ OBJECT, 0, _ZGetNextRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[17] },
	{ OBJECT, 0, _ZGetBulkRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[18] },
	{ OBJECT, 0, _ZResponse_PDUSNMP, 0, (char **)&_ZptrtabSNMP[19] },
	{ OBJECT, 0, _ZSetRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[20] },
	{ OBJECT, 0, _ZInformRequest_PDUSNMP, 0, (char **)&_ZptrtabSNMP[21] },
	{ OBJECT, 0, _ZSNMPv2_Trap_PDUSNMP, 0, (char **)&_ZptrtabSNMP[22] },
	{ OBJECT, 0, _ZTrap_PDUSNMP, 0, (char **)&_ZptrtabSNMP[23] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[15] }
	};

static ptpe pt_GetRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[24] },
	{ IMP_OBJ, -1, 0, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[24] }
	};

static ptpe pt_GetNextRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[25] },
	{ IMP_OBJ, -1, 1, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[25] }
	};

static ptpe pt_GetBulkRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[26] },
	{ IMP_OBJ, -1, 5, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[26] }
	};

static ptpe pt_Response_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[27] },
	{ IMP_OBJ, -1, 2, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[27] }
	};

static ptpe pt_SetRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[28] },
	{ IMP_OBJ, -1, 3, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[28] }
	};

static ptpe pt_InformRequest_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[29] },
	{ IMP_OBJ, -1, 6, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[29] }
	};

static ptpe pt_SNMPv2_Trap_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[30] },
	{ IMP_OBJ, -1, 7, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ SOBJECT, 0, _ZPDUSNMP, FL_CONTEXT, (char **)&_ZptrtabSNMP[31] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[30] }
	};

static ptpe pt_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[31] },
	{ SSEQ_START, -1, 16, FL_UNIVERSAL, NULLVP },
	{ INTEGER, -1, 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[32] },
	{ INTEGER, -1, 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[33] },
	{ INTEGER, -1, 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[34] },
	{ OBJECT, 0, _ZVarBindListSNMP, 0, (char **)&_ZptrtabSNMP[35] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[31] }
	};

static ptpe pt_VarBindSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[36] },
	{ SSEQ_START, -1, 16, FL_UNIVERSAL, NULLVP },
	{ OBJECT, 0, _ZObjectNameSNMP, 0, (char **)&_ZptrtabSNMP[37] },
	{ OBJECT, 0, _ZObjectSyntaxSNMP, 0, (char **)&_ZptrtabSNMP[38] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[36] }
	};

static ptpe pt_VarBindListSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[39] },
	{ SSEQOF_START, -1, 16, FL_UNIVERSAL, NULLVP },
	{ OBJECT, 0, _ZVarBindSNMP, 0, (char **)&_ZptrtabSNMP[36] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[39] }
	};

static ptpe pt_ObjectNameSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[40] },
	{ SOBJID, -1, 6, FL_UNIVERSAL, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[40] }
	};

static ptpe pt_ObjectSyntaxSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[41] },
	{ SANY, -1, -1, FL_UNIVERSAL, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[41] }
	};

static ptpe pt_DisplayStringSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[42] },
	{ SOCTETSTRING, -1, 4, FL_UNIVERSAL, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[42] }
	};

static ptpe pt_AuditSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[43] },
	{ SSEQ_START, -1, 16, FL_UNIVERSAL, NULLVP },
	{ OBJECT, 0, _ZDisplayStringSNMP, 0, (char **)&_ZptrtabSNMP[44] },
	{ OCTETSTRING, 0, 24, 0, (char **)&_ZptrtabSNMP[45] },
	{ INTEGER, -1, 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[46] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[43] }
	};

static ptpe pt_Snmp1157MsgSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[47] },
	{ SSEQ_START, -1, 16, FL_UNIVERSAL, NULLVP },
	{ INTEGER, -1, 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[48] },
	{ OCTETSTRING, -1, 4, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[49] },
	{ OBJECT, 0, _ZPDUsSNMP, 0, (char **)&_ZptrtabSNMP[50] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[47] }
	};

static ptpe pt_NetworkAddressSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[51] },
	{ SOBJECT, 0, _ZIpAddressSNMP, 0, (char **)&_ZptrtabSNMP[52] },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[51] }
	};

static ptpe pt_IpAddressSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[53] },
	{ SOCTETSTRING, -1, 0, FL_APPLICATION, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[53] }
	};

static ptpe pt_TimeTicksSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[54] },
	{ INTEGER, -1, 3, FL_APPLICATION, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[54] }
	};

static ptpe pt_Trap_PDUSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[55] },
	{ SSEQ_START, -1, 4, FL_CONTEXT, NULLVP },
	{ OBJID, -1, 6, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[56] },
	{ OBJECT, 0, _ZNetworkAddressSNMP, 0, (char **)&_ZptrtabSNMP[57] },
	{ INTEGER, -1, 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[58] },
	{ INTEGER, -1, 2, FL_UNIVERSAL, (char **)&_ZptrtabSNMP[59] },
	{ OBJECT, 0, _ZTimeTicksSNMP, 0, (char **)&_ZptrtabSNMP[60] },
	{ OBJECT, 0, _ZVarBindListSNMP, 0, (char **)&_ZptrtabSNMP[35] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[55] }
	};

static ptpe pt_NsapAddressSNMP[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabSNMP[61] },
	{ ETAG, -1, 5, FL_APPLICATION, NULLVP },
	{ SOCTETSTRING, -1, 4, FL_UNIVERSAL, NULLVP },
	{ PE_END, 0, 0, 0, (char **)&_ZptrtabSNMP[61] }
	};

static ptpe *etabl[] = {
	et_SnmpPrivMsgSNMP,
	et_SnmpAuthMsgSNMP,
	et_AuthInformationSNMP,
	et_SnmpMgmtComSNMP,
	et_PDUsSNMP,
	et_GetRequest_PDUSNMP,
	et_GetNextRequest_PDUSNMP,
	et_GetBulkRequest_PDUSNMP,
	et_Response_PDUSNMP,
	et_SetRequest_PDUSNMP,
	et_InformRequest_PDUSNMP,
	et_SNMPv2_Trap_PDUSNMP,
	et_PDUSNMP,
	et_VarBindSNMP,
	et_VarBindListSNMP,
	et_ObjectNameSNMP,
	et_ObjectSyntaxSNMP,
	et_DisplayStringSNMP,
	et_AuditSNMP,
	et_Snmp1157MsgSNMP,
	et_NetworkAddressSNMP,
	et_IpAddressSNMP,
	et_TimeTicksSNMP,
	et_Trap_PDUSNMP,
	et_NsapAddressSNMP,
	};

static ptpe *dtabl[] = {
	dt_SnmpPrivMsgSNMP,
	dt_SnmpAuthMsgSNMP,
	dt_AuthInformationSNMP,
	dt_SnmpMgmtComSNMP,
	dt_PDUsSNMP,
	dt_GetRequest_PDUSNMP,
	dt_GetNextRequest_PDUSNMP,
	dt_GetBulkRequest_PDUSNMP,
	dt_Response_PDUSNMP,
	dt_SetRequest_PDUSNMP,
	dt_InformRequest_PDUSNMP,
	dt_SNMPv2_Trap_PDUSNMP,
	dt_PDUSNMP,
	dt_VarBindSNMP,
	dt_VarBindListSNMP,
	dt_ObjectNameSNMP,
	dt_ObjectSyntaxSNMP,
	dt_DisplayStringSNMP,
	dt_AuditSNMP,
	dt_Snmp1157MsgSNMP,
	dt_NetworkAddressSNMP,
	dt_IpAddressSNMP,
	dt_TimeTicksSNMP,
	dt_Trap_PDUSNMP,
	dt_NsapAddressSNMP,
	};

static ptpe *ptabl[] = {
	pt_SnmpPrivMsgSNMP,
	pt_SnmpAuthMsgSNMP,
	pt_AuthInformationSNMP,
	pt_SnmpMgmtComSNMP,
	pt_PDUsSNMP,
	pt_GetRequest_PDUSNMP,
	pt_GetNextRequest_PDUSNMP,
	pt_GetBulkRequest_PDUSNMP,
	pt_Response_PDUSNMP,
	pt_SetRequest_PDUSNMP,
	pt_InformRequest_PDUSNMP,
	pt_SNMPv2_Trap_PDUSNMP,
	pt_PDUSNMP,
	pt_VarBindSNMP,
	pt_VarBindListSNMP,
	pt_ObjectNameSNMP,
	pt_ObjectSyntaxSNMP,
	pt_DisplayStringSNMP,
	pt_AuditSNMP,
	pt_Snmp1157MsgSNMP,
	pt_NetworkAddressSNMP,
	pt_IpAddressSNMP,
	pt_TimeTicksSNMP,
	pt_Trap_PDUSNMP,
	pt_NsapAddressSNMP,
	};


/* Pointer table 62 entries */
caddr_t _ZptrtabSNMP[] = {
    (caddr_t ) "SnmpPrivMsg",
    (caddr_t ) "privDst",
    (caddr_t ) "privData",
    (caddr_t ) "SnmpAuthMsg",
    (caddr_t ) "authInfo",
    (caddr_t ) "authData",
    (caddr_t ) "AuthInformation",
    (caddr_t ) "authDigest",
    (caddr_t ) "authDstTimestamp",
    (caddr_t ) "authSrcTimestamp",
    (caddr_t ) "SnmpMgmtCom",
    (caddr_t ) "dstParty",
    (caddr_t ) "srcParty",
    (caddr_t ) "context",
    (caddr_t ) "pdu",
    (caddr_t ) "PDUs",
    (caddr_t ) "get-request",
    (caddr_t ) "get-next-request",
    (caddr_t ) "get-bulk-request",
    (caddr_t ) "response",
    (caddr_t ) "set-request",
    (caddr_t ) "inform-request",
    (caddr_t ) "snmpV2-trap",
    (caddr_t ) "trap",
    (caddr_t ) "GetRequest-PDU",
    (caddr_t ) "GetNextRequest-PDU",
    (caddr_t ) "GetBulkRequest-PDU",
    (caddr_t ) "Response-PDU",
    (caddr_t ) "SetRequest-PDU",
    (caddr_t ) "InformRequest-PDU",
    (caddr_t ) "SNMPv2-Trap-PDU",
    (caddr_t ) "PDU",
    (caddr_t ) "request-id",
    (caddr_t ) "error-status",
    (caddr_t ) "error-index",
    (caddr_t ) "variable-bindings",
    (caddr_t ) "VarBind",
    (caddr_t ) "name",
    (caddr_t ) "value",
    (caddr_t ) "VarBindList",
    (caddr_t ) "ObjectName",
    (caddr_t ) "ObjectSyntax",
    (caddr_t ) "DisplayString",
    (caddr_t ) "Audit",
    (caddr_t ) "source",
    (caddr_t ) "dateAndTime",
    (caddr_t ) "sizeOfEncodingWhichFollows",
    (caddr_t ) "Snmp1157Msg",
    (caddr_t ) "version",
    (caddr_t ) "community",
    (caddr_t ) "data",
    (caddr_t ) "NetworkAddress",
    (caddr_t ) "internet",
    (caddr_t ) "IpAddress",
    (caddr_t ) "TimeTicks",
    (caddr_t ) "Trap-PDU",
    (caddr_t ) "enterprise",
    (caddr_t ) "agent-addr",
    (caddr_t ) "generic-trap",
    (caddr_t ) "specific-trap",
    (caddr_t ) "time-stamp",
    (caddr_t ) "NsapAddress",
};

modtyp _ZSNMP_mod = {
	"SNMP",
	25,
	etabl,
	dtabl,
	ptabl,
	0,
	0,
	0,
	_ZptrtabSNMP,
	};


# line 313 "snmp.py"
	/* this is necessary 'cause we have UInteger32 in AuthInformation */

PE	ulong2prim ();

PE	num2prim (i, class, id)
integer	i;
PElementClass class;
PElementID	id;
{
    register integer mask,
                    sign,
                    n;
    register PElementData dp;
    register PE	    pe;

    if (class == PE_CLASS_APPL && id == 7)
	return ulong2prim ((u_long) i, class, id);

    if ((pe = pe_alloc (class, PE_FORM_PRIM, id)) == NULLPE)
	return NULLPE;

    sign = i >= 0 ? i : i ^ (-1);
    mask = 0x1ff << (((n = sizeof i) - 1) * 8 - 1);
    while (n > 1 && (sign & mask) == 0)
	mask >>= 8, n--;

    if ((pe -> pe_prim = PEDalloc (n)) == NULLPED) {
	pe_free (pe);
	return NULLPE;
    }

    for (dp = pe -> pe_prim + (pe -> pe_len = n); n-- > 0; i >>= 8)
	*--dp = i & 0xff;

    return pe;
}


u_long	prim2ulong ();

integer	prim2num (pe)
register PE	pe;
{
    register integer    i;
    register PElementData dp,
			  ep;

    if (pe -> pe_form != PE_FORM_PRIM || pe -> pe_prim == NULLPED)
	return pe_seterr (pe, PE_ERR_PRIM, NOTOK);

    if (pe -> pe_class == PE_CLASS_APPL && pe -> pe_id == 7)
	return prim2ulong (pe);

    if (pe -> pe_len > sizeof (i))
	return pe_seterr (pe, PE_ERR_OVER, NOTOK);

    pe -> pe_errno = PE_ERR_NONE;/* in case integer is NOTOK-valued */
    dp = pe -> pe_prim;
    if (pe -> pe_len > 1 && ((*dp == 0 && ((*(dp+1)) & 0x80) == 0) ||
	(*dp == 0xff && ((*(dp + 1)) & 0x80) == 0x80)))
	return pe_seterr (pe, PE_ERR_SYNTAX, NOTOK);
    i = ((*dp) & 0x80) ? (-1) : 0;
    for (ep = dp + pe -> pe_len; dp < ep;)
	i = (i << 8) | (*dp++ & 0xff);

    return i;
}

#if	defined(lint) || defined(PEPSY_LINKABLE_FUNCS)

#undef decode_SNMP_SnmpPrivMsg
int	decode_SNMP_SnmpPrivMsg(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_SnmpPrivMsg **parm;
{
  return (dec_f(_ZSnmpPrivMsgSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_SnmpPrivMsg
void free_SNMP_SnmpPrivMsg(val)
struct type_SNMP_SnmpPrivMsg *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZSnmpPrivMsgSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_SnmpAuthMsg
int	decode_SNMP_SnmpAuthMsg(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_SnmpAuthMsg **parm;
{
  return (dec_f(_ZSnmpAuthMsgSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_SnmpAuthMsg
void free_SNMP_SnmpAuthMsg(val)
struct type_SNMP_SnmpAuthMsg *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZSnmpAuthMsgSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_AuthInformation
int	decode_SNMP_AuthInformation(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_AuthInformation **parm;
{
  return (dec_f(_ZAuthInformationSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_AuthInformation
void free_SNMP_AuthInformation(val)
struct type_SNMP_AuthInformation *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZAuthInformationSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_SnmpMgmtCom
int	decode_SNMP_SnmpMgmtCom(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_SnmpMgmtCom **parm;
{
  return (dec_f(_ZSnmpMgmtComSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_SnmpMgmtCom
void free_SNMP_SnmpMgmtCom(val)
struct type_SNMP_SnmpMgmtCom *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZSnmpMgmtComSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_PDUs
int	decode_SNMP_PDUs(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_PDUs **parm;
{
  return (dec_f(_ZPDUsSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_PDUs
void free_SNMP_PDUs(val)
struct type_SNMP_PDUs *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZPDUsSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_GetRequest__PDU
int	decode_SNMP_GetRequest__PDU(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_GetRequest__PDU **parm;
{
  return (dec_f(_ZGetRequest_PDUSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_GetRequest__PDU
void free_SNMP_GetRequest__PDU(val)
struct type_SNMP_GetRequest__PDU *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZGetRequest_PDUSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_GetNextRequest__PDU
int	decode_SNMP_GetNextRequest__PDU(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_GetNextRequest__PDU **parm;
{
  return (dec_f(_ZGetNextRequest_PDUSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_GetNextRequest__PDU
void free_SNMP_GetNextRequest__PDU(val)
struct type_SNMP_GetNextRequest__PDU *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZGetNextRequest_PDUSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_GetBulkRequest__PDU
int	decode_SNMP_GetBulkRequest__PDU(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_GetBulkRequest__PDU **parm;
{
  return (dec_f(_ZGetBulkRequest_PDUSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_GetBulkRequest__PDU
void free_SNMP_GetBulkRequest__PDU(val)
struct type_SNMP_GetBulkRequest__PDU *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZGetBulkRequest_PDUSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_Response__PDU
int	decode_SNMP_Response__PDU(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_Response__PDU **parm;
{
  return (dec_f(_ZResponse_PDUSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_Response__PDU
void free_SNMP_Response__PDU(val)
struct type_SNMP_Response__PDU *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZResponse_PDUSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_SetRequest__PDU
int	decode_SNMP_SetRequest__PDU(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_SetRequest__PDU **parm;
{
  return (dec_f(_ZSetRequest_PDUSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_SetRequest__PDU
void free_SNMP_SetRequest__PDU(val)
struct type_SNMP_SetRequest__PDU *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZSetRequest_PDUSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_InformRequest__PDU
int	decode_SNMP_InformRequest__PDU(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_InformRequest__PDU **parm;
{
  return (dec_f(_ZInformRequest_PDUSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_InformRequest__PDU
void free_SNMP_InformRequest__PDU(val)
struct type_SNMP_InformRequest__PDU *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZInformRequest_PDUSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_SNMPv2__Trap__PDU
int	decode_SNMP_SNMPv2__Trap__PDU(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_SNMPv2__Trap__PDU **parm;
{
  return (dec_f(_ZSNMPv2_Trap_PDUSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_SNMPv2__Trap__PDU
void free_SNMP_SNMPv2__Trap__PDU(val)
struct type_SNMP_SNMPv2__Trap__PDU *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZSNMPv2_Trap_PDUSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_PDU
int	decode_SNMP_PDU(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_PDU **parm;
{
  return (dec_f(_ZPDUSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_PDU
void free_SNMP_PDU(val)
struct type_SNMP_PDU *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZPDUSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_VarBind
int	decode_SNMP_VarBind(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_VarBind **parm;
{
  return (dec_f(_ZVarBindSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_VarBind
void free_SNMP_VarBind(val)
struct type_SNMP_VarBind *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZVarBindSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_VarBindList
int	decode_SNMP_VarBindList(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_VarBindList **parm;
{
  return (dec_f(_ZVarBindListSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_VarBindList
void free_SNMP_VarBindList(val)
struct type_SNMP_VarBindList *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZVarBindListSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_ObjectName
int	decode_SNMP_ObjectName(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_ObjectName **parm;
{
  return (dec_f(_ZObjectNameSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef decode_SNMP_ObjectSyntax
int	decode_SNMP_ObjectSyntax(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_ObjectSyntax **parm;
{
  return (dec_f(_ZObjectSyntaxSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef decode_SNMP_DisplayString
int	decode_SNMP_DisplayString(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_DisplayString **parm;
{
  return (dec_f(_ZDisplayStringSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef decode_SNMP_Audit
int	decode_SNMP_Audit(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_Audit **parm;
{
  return (dec_f(_ZAuditSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_Audit
void free_SNMP_Audit(val)
struct type_SNMP_Audit *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZAuditSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_Snmp1157Msg
int	decode_SNMP_Snmp1157Msg(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_Snmp1157Msg **parm;
{
  return (dec_f(_ZSnmp1157MsgSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_Snmp1157Msg
void free_SNMP_Snmp1157Msg(val)
struct type_SNMP_Snmp1157Msg *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZSnmp1157MsgSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_NetworkAddress
int	decode_SNMP_NetworkAddress(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_NetworkAddress **parm;
{
  return (dec_f(_ZNetworkAddressSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_NetworkAddress
void free_SNMP_NetworkAddress(val)
struct type_SNMP_NetworkAddress *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZNetworkAddressSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_IpAddress
int	decode_SNMP_IpAddress(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_IpAddress **parm;
{
  return (dec_f(_ZIpAddressSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef decode_SNMP_TimeTicks
int	decode_SNMP_TimeTicks(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_TimeTicks **parm;
{
  return (dec_f(_ZTimeTicksSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_TimeTicks
void free_SNMP_TimeTicks(val)
struct type_SNMP_TimeTicks *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZTimeTicksSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_Trap__PDU
int	decode_SNMP_Trap__PDU(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_Trap__PDU **parm;
{
  return (dec_f(_ZTrap_PDUSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_SNMP_Trap__PDU
void free_SNMP_Trap__PDU(val)
struct type_SNMP_Trap__PDU *val;
{
(void) fre_obj((char *) val, _ZSNMP_mod.md_dtab[_ZTrap_PDUSNMP], &_ZSNMP_mod, 1);
}

#undef decode_SNMP_NsapAddress
int	decode_SNMP_NsapAddress(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_SNMP_NsapAddress **parm;
{
  return (dec_f(_ZNsapAddressSNMP, &_ZSNMP_mod, pe, top, len, buffer,
		(char **) parm));
}

#endif	/* lint||PEPSY_LINKABLE_FUNCS */
