#ifndef _TEST_KS_
#define _TEST_KS_


#ifndef _GENERIC_KS_
#include "GenericKS.h"
#endif

#ifndef _TIME_MANAGER_
#include "TimeManager.h"
#endif

#ifndef _systemSim_h_
#include "systemSim.h"
#endif


class TestKS : public KS
{
#define SIM_TIME_INTERVAL	1.0
#define REAL_TIME_INTERVAL	(2*SIM_TIME_INTERVAL)

    systemSim* system;

public:
    int		initialise ();

    int		wakeUp (char*);

    TestKS ();
    ~TestKS ();
};


inline TestKS::TestKS ()
{ system = NULL; }

inline TestKS::~TestKS ()
{ if (system) cancelWakeUps(NULLCP); }

#endif
