#ifndef lint
static char *rcsid = "$Header: /xtel/isode/isode/dsap/common/RCS/attrt_new.c,v 9.0 1992/06/16 12:12:39 isode Rel $";
#endif

/*
 * $Header: /xtel/isode/isode/dsap/common/RCS/attrt_new.c,v 9.0 1992/06/16 12:12:39 isode Rel $
 *
 *
 * $Log: attrt_new.c,v $
 * Revision 9.0  1992/06/16  12:12:39  isode
 * Release 8.0
 *
 */

/*
 *                                NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#include "util.h"
#include "name.h"

AttributeType AttrT_new (name)
register char * name;
{
oid_table * Current ;
AttributeType buffAttrT ;
extern oid_table_attr * attrOIDTableBasep ;
extern int incAttrNumEntries() ;
oid_table_attr  *res, *buffOidTableAttrp ;
extern attrNumEntries;
char * get_oid ();

	if( attrOIDTableBasep == NULLTABLE_ATTR )
		return NULLTABLE_ATTR ;

	while ( isascii(*name) && isspace (*name))
		name++;

	if ((res = name2attr (name)) == NULLTABLE_ATTR) {
		/* attribute not in tables, add as "ASN" if possible */
		char * ptr;
		OID oid;

		if ((ptr = get_oid (name)) == NULLCP) 
			return (NULLTABLE_ATTR);

		Current = &attrOIDTableBasep[attrNumEntries].oa_ot;
		Current->ot_name = strdup(name);
		(void) add_entry_aux (Current->ot_name,(caddr_t)&attrOIDTableBasep[attrNumEntries],2,NULLCP);
		Current->ot_stroid = strdup(ptr);

		oid = str2oid (Current->ot_stroid);
		if (oid == NULLOID)
			Current->ot_oid = NULLOID;
		else
			Current->ot_oid = oid_cpy (oid);
		attrOIDTableBasep[attrNumEntries].oa_syntax = 0;

		buffOidTableAttrp = &attrOIDTableBasep[attrNumEntries] ;

		if( incAttrNumEntries() == NOTOK )
			buffOidTableAttrp = NULLTABLE_ATTR ;
		
		return( buffOidTableAttrp );
	}
	return (res);
}

