
#if !defined(_mp_integrity_h_)
#define _mp_integrity_h_

#if !defined(_a_)
#if defined(__STDC__) || defined(__cplusplus)
#define _a_(_args_) _args_
#else
#define _a_(_args_) ()
#endif
#endif

typedef enum IR_Status_e {
    IRStatus_none,
    IRStatus_initiator,
    IRStatus_responder
} IRStatus;

void initialiseIRStatus _a_(());
IRStatus getIRStatus _a_((const int fd));
void setIRStatus _a_((const int fd, const IRStatus s));
void clearIRStatus _a_((const int fd));
int makeId _a_((const int fd));
int makePeerId _a_((const int fd));
void saveState _a_((const int fd, char **state));
void restoreState _a_((const int fd, char *state));
void savePeerState _a_((const int fd, char **state));
void restorePeerState _a_((const int fd, char *state));

#endif /* !_mp_integrity_h_ */
