#ifndef _CORBA_AGENT_
#define _CORBA_AGENT_

#ifndef _Destination_h_
#include "Destination.h"
#endif


class MO;

class CorbaAgent
{
protected:
    static CorbaAgent*	_instance;
    char*		_aei;

public:
    char*		getAEI ();
    virtual int		sendEventReport (MO*, MID, MN, MID, PE, char*, AET*,
					 DestinationAddress*);

    static CorbaAgent*	getInstance ();

    CorbaAgent (const char* service);
    ~CorbaAgent ();
};


inline int  CorbaAgent::sendEventReport (MO*, MID, MN, MID, PE, char*,
					AET*, DestinationAddress*)
						{ return NOTOK; }
inline char*  CorbaAgent::getAEI ()		{ return _aei; }
inline CorbaAgent*  CorbaAgent::getInstance ()	{ return _instance; }
inline CorbaAgent::~CorbaAgent ()		{ delete _aei; }


#endif
