//
// NAME
//   monitoringSupportMode3.inc.h
//
// DESCRIPTION
//   for monitoringSupportMode3 MOC, via OSIMIS GDMO compiler
//   This class inherits from the MSscanner
//   and has the functionality to poll the specified sub-tree.
//   Temporary polling object for the PON.
//
// IMPLEMENTORS
//   Kmtm
//

private:
  int 	status;				// Flag for the initialization

  int StartUp();			// Starts the object
  int ShutDown();			// Stops the object
  int CheckFirstTime();			// Checks for errors when observation
					// is initiated
  int GetAttributes();			// Gets the baseManagedObject
					// + some checking

  int		_typeBaseMO;
  DN		_dnBaseMO;
  MO*		_pBaseMO;

  void update(); 	// called by the wakeup method

protected:
  int  createRR(AVA*&, void* = NULLVD, int = -1);
  int  deleteRR (AVA*&, void* = NULLVD, Bool = False, int = -1);  
  int  set (CMISModifyOp, int, int, void*, AVA*&, Bool = False, int = -1);

public:
  inline int  wakeUp (char*)              
           { update(); return OK; }

