/*****************************************************************************

    entity.h file generated from header.hg

*****************************************************************************/


#if !defined(_entity_h_)
#define      _entity_h_


class SimpleNameType;
class OperationalState;
class GraphicString;



#include "Top.h"


class entity : public Top
{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 1 */,
    I_entityId,
    I_operationalState,
    I_localSapName,
#define I_entityNATTRS    3
    I_objectCreation,
    I_objectDeletion;
#define I_entityNNOTIFS    2

    Attr        *_attrs[I_entityNATTRS];



    entity(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    SimpleNameType *		entityId();
    OperationalState *		operationalState();
    GraphicString *		localSapName();

/*
** User code start **
*/

#include"entity.inc.h"

/*
** User code finish **
*/

}; /* entity */


/* inline methods */

inline MOClassInfo * entity::getClassInfo()
{ return _classInfo; }

inline SimpleNameType * entity::entityId()
{ return (SimpleNameType *) _attrs[I_entityId]; }

inline OperationalState * entity::operationalState()
{ return (OperationalState *) _attrs[I_operationalState]; }

inline GraphicString * entity::localSapName()
{ return (GraphicString *) _attrs[I_localSapName]; }


#endif /* !_entity_h_ */

/* End of file */
