/*****************************************************************************

    monitorMetric.h file generated from header.hg

*****************************************************************************/


#if !defined(_monitorMetric_h_)
#define      _monitorMetric_h_


class ObjectInstance;
class AttributeId;
class Gauge;
class GaugeThreshold;
class TideMark;
class Counter;
class Boolean;



#include "scanner.h"


class monitorMetric : public scanner
{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 2 */,
    I_observedObjectInstance,
    I_observedAttributeId,
    I_derivedGauge,
    I_severityIndicatingGaugeThreshold,
    I_severityIndicatingTideMarkMax,
    I_severityIndicatingTideMarkMin,
    I_previousScanCounterValue,
    I_previousScanGaugeValue,
    I_counterOrGaugeDifference,
#define I_monitorMetricNATTRS    9
    I_qualityofServiceAlarm;
#define I_monitorMetricNNOTIFS    1

    Attr        *_attrs[I_monitorMetricNATTRS];



    monitorMetric(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    ObjectInstance *		observedObjectInstance();
    AttributeId *		observedAttributeId();
    Gauge *		derivedGauge();
    GaugeThreshold *		severityIndicatingGaugeThreshold();
    TideMark *		severityIndicatingTideMarkMax();
    TideMark *		severityIndicatingTideMarkMin();
    Counter *		previousScanCounterValue();
    Gauge *		previousScanGaugeValue();
    Boolean *		counterOrGaugeDifference();

/*
** User code start **
*/

#include"monitorMetric.inc.h"

/*
** User code finish **
*/

}; /* monitorMetric */


/* inline methods */

inline MOClassInfo * monitorMetric::getClassInfo()
{ return _classInfo; }

inline ObjectInstance * monitorMetric::observedObjectInstance()
{ return (ObjectInstance *) _attrs[I_observedObjectInstance]; }

inline AttributeId * monitorMetric::observedAttributeId()
{ return (AttributeId *) _attrs[I_observedAttributeId]; }

inline Gauge * monitorMetric::derivedGauge()
{ return (Gauge *) _attrs[I_derivedGauge]; }

inline GaugeThreshold * monitorMetric::severityIndicatingGaugeThreshold()
{ return (GaugeThreshold *) _attrs[I_severityIndicatingGaugeThreshold]; }

inline TideMark * monitorMetric::severityIndicatingTideMarkMax()
{ return (TideMark *) _attrs[I_severityIndicatingTideMarkMax]; }

inline TideMark * monitorMetric::severityIndicatingTideMarkMin()
{ return (TideMark *) _attrs[I_severityIndicatingTideMarkMin]; }

inline Counter * monitorMetric::previousScanCounterValue()
{ return (Counter *) _attrs[I_previousScanCounterValue]; }

inline Gauge * monitorMetric::previousScanGaugeValue()
{ return (Gauge *) _attrs[I_previousScanGaugeValue]; }

inline Boolean * monitorMetric::counterOrGaugeDifference()
{ return (Boolean *) _attrs[I_counterOrGaugeDifference]; }


#endif /* !_monitorMetric_h_ */

/* End of file */
