/*****************************************************************************

    proxySystem.h file generated from header.hg

*****************************************************************************/


#if !defined(_proxySystem_h_)
#define      _proxySystem_h_


class SimpleNameType;
class DName;
class OperationalState;
class UsageState;



#include "Top.h"


class proxySystem : public Top
{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 1 */,
    I_systemId,
    I_systemTitle,
    I_operationalState,
    I_usageState;
#define I_proxySystemNATTRS    4

    Attr        *_attrs[I_proxySystemNATTRS];



    proxySystem(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    SimpleNameType *		systemId();
    DName *		systemTitle();
    OperationalState *		operationalState();
    UsageState *		usageState();

/* No user code */

}; /* proxySystem */


/* inline methods */

inline MOClassInfo * proxySystem::getClassInfo()
{ return _classInfo; }

inline SimpleNameType * proxySystem::systemId()
{ return (SimpleNameType *) _attrs[I_systemId]; }

inline DName * proxySystem::systemTitle()
{ return (DName *) _attrs[I_systemTitle]; }

inline OperationalState * proxySystem::operationalState()
{ return (OperationalState *) _attrs[I_operationalState]; }

inline UsageState * proxySystem::usageState()
{ return (UsageState *) _attrs[I_usageState]; }


#endif /* !_proxySystem_h_ */

/* End of file */
