/*****************************************************************************

    snmpSecurityParameter.h file generated from header.hg

*****************************************************************************/


#if !defined(_snmpSecurityParameter_h_)
#define      _snmpSecurityParameter_h_


class NullRDN;
class SnmpSecurity;



#include "Top.h"


class snmpSecurityParameter : public Top
{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 1 */,
    I_snmpSecurityParameterId,
    I_snmpSecurity;
#define I_snmpSecurityParameterNATTRS    2

    Attr        *_attrs[I_snmpSecurityParameterNATTRS];



    snmpSecurityParameter(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    NullRDN *		snmpSecurityParameterId();
    SnmpSecurity *		snmpSecurity();

/*
** User code start **
*/

#include"snmpSecurityParameter.inc.h"

/*
** User code finish **
*/

}; /* snmpSecurityParameter */


/* inline methods */

inline MOClassInfo * snmpSecurityParameter::getClassInfo()
{ return _classInfo; }

inline NullRDN * snmpSecurityParameter::snmpSecurityParameterId()
{ return (NullRDN *) _attrs[I_snmpSecurityParameterId]; }

inline SnmpSecurity * snmpSecurityParameter::snmpSecurity()
{ return (SnmpSecurity *) _attrs[I_snmpSecurity]; }


#endif /* !_snmpSecurityParameter_h_ */

/* End of file */
