/*****************************************************************************

    transportConnection.h file generated from header.hg

*****************************************************************************/


#if !defined(_transportConnection_h_)
#define      _transportConnection_h_


class TProtocolClass;
class Counter;



#include "connection.h"


/*
** User class definitions **
*/

#include"transportConnection.inc.hcl"

/*
** User class definitions finish **
*/

{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 2 */,
    I_protocolClass,
    I_octetsSent,
    I_octetsReceived,
    I_octetsResent,
    I_pdusSent,
    I_pdusReceived,
    I_pdusResent;
#define I_transportConnectionNATTRS    7

    Attr        *_attrs[I_transportConnectionNATTRS];



    transportConnection(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    TProtocolClass *		protocolClass();
    Counter *		octetsSent();
    Counter *		octetsReceived();
    Counter *		octetsResent();
    Counter *		pdusSent();
    Counter *		pdusReceived();
    Counter *		pdusResent();

/*
** User code start **
*/

#include"transportConnection.inc.h"

/*
** User code finish **
*/

}; /* transportConnection */


/* inline methods */

inline MOClassInfo * transportConnection::getClassInfo()
{ return _classInfo; }

inline TProtocolClass * transportConnection::protocolClass()
{ return (TProtocolClass *) _attrs[I_protocolClass]; }

inline Counter * transportConnection::octetsSent()
{ return (Counter *) _attrs[I_octetsSent]; }

inline Counter * transportConnection::octetsReceived()
{ return (Counter *) _attrs[I_octetsReceived]; }

inline Counter * transportConnection::octetsResent()
{ return (Counter *) _attrs[I_octetsResent]; }

inline Counter * transportConnection::pdusSent()
{ return (Counter *) _attrs[I_pdusSent]; }

inline Counter * transportConnection::pdusReceived()
{ return (Counter *) _attrs[I_pdusReceived]; }

inline Counter * transportConnection::pdusResent()
{ return (Counter *) _attrs[I_pdusResent]; }


#endif /* !_transportConnection_h_ */

/* End of file */
