/*****************************************************************************

    transportEntity.h file generated from header.hg

*****************************************************************************/


#if !defined(_transportEntity_h_)
#define      _transportEntity_h_


class Gauge;
class Counter;



#include "entity.h"


/*
** User class definitions **
*/

#include"transportEntity.inc.hcl"

/*
** User class definitions finish **
*/

{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 2 */,
    I_openConnections,
    I_previousConnections,
    I_localSuccessfulConnections,
    I_remoteSuccessfulConnections,
    I_localUnsuccessfulConnections,
    I_remoteUnsuccessfulConnections,
    I_localCongestionErrors,
    I_localConfigurationErrors,
    I_localChecksumErrors,
    I_totalNumberTpduSent,
    I_totalNumberTpduReceived,
    I_totalNumberTpduResent;
#define I_transportEntityNATTRS    12

    Attr        *_attrs[I_transportEntityNATTRS];



    transportEntity(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    Gauge *		openConnections();
    Counter *		previousConnections();
    Counter *		localSuccessfulConnections();
    Counter *		remoteSuccessfulConnections();
    Counter *		localUnsuccessfulConnections();
    Counter *		remoteUnsuccessfulConnections();
    Counter *		localCongestionErrors();
    Counter *		localConfigurationErrors();
    Counter *		localChecksumErrors();
    Counter *		totalNumberTpduSent();
    Counter *		totalNumberTpduReceived();
    Counter *		totalNumberTpduResent();

/*
** User code start **
*/

#include"transportEntity.inc.h"

/*
** User code finish **
*/

}; /* transportEntity */


/* inline methods */

inline MOClassInfo * transportEntity::getClassInfo()
{ return _classInfo; }

inline Gauge * transportEntity::openConnections()
{ return (Gauge *) _attrs[I_openConnections]; }

inline Counter * transportEntity::previousConnections()
{ return (Counter *) _attrs[I_previousConnections]; }

inline Counter * transportEntity::localSuccessfulConnections()
{ return (Counter *) _attrs[I_localSuccessfulConnections]; }

inline Counter * transportEntity::remoteSuccessfulConnections()
{ return (Counter *) _attrs[I_remoteSuccessfulConnections]; }

inline Counter * transportEntity::localUnsuccessfulConnections()
{ return (Counter *) _attrs[I_localUnsuccessfulConnections]; }

inline Counter * transportEntity::remoteUnsuccessfulConnections()
{ return (Counter *) _attrs[I_remoteUnsuccessfulConnections]; }

inline Counter * transportEntity::localCongestionErrors()
{ return (Counter *) _attrs[I_localCongestionErrors]; }

inline Counter * transportEntity::localConfigurationErrors()
{ return (Counter *) _attrs[I_localConfigurationErrors]; }

inline Counter * transportEntity::localChecksumErrors()
{ return (Counter *) _attrs[I_localChecksumErrors]; }

inline Counter * transportEntity::totalNumberTpduSent()
{ return (Counter *) _attrs[I_totalNumberTpduSent]; }

inline Counter * transportEntity::totalNumberTpduReceived()
{ return (Counter *) _attrs[I_totalNumberTpduReceived]; }

inline Counter * transportEntity::totalNumberTpduResent()
{ return (Counter *) _attrs[I_totalNumberTpduResent]; }


#endif /* !_transportEntity_h_ */

/* End of file */
