/*****************************************************************************

    uxObj1.h file generated from header.hg

*****************************************************************************/


#if !defined(_uxObj1_h_)
#define      _uxObj1_h_


class SimpleNameType;
class UxTime;
class GraphicString;
class Gauge;

class GraphicStringList;


#include "Top.h"


class uxObj1 : public Top
{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 1 */,
    I_uxObjId,
    I_sysTime,
    I_wiseSaying,
    I_nUsers,
#define I_uxObj1NATTRS    4
    I_objectCreation,
    I_objectDeletion,
    I_attributeValueChange,
#define I_uxObj1NNOTIFS    3
    I_getUserNames;
#define I_uxObj1NACTIONS    1

    Attr        *_attrs[I_uxObj1NATTRS];


    int  action(int actionId, int level, void *info, void *&reply,
		Bool &freeFlag, AVA*& err, Bool checkOnly, int opId);

    uxObj1(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static RDN          makeRdn (MO* superior);
    static MO           *create(RDN rdn, MO *superior);

    SimpleNameType *		uxObjId();
    UxTime *		sysTime();
    GraphicString *		wiseSaying();
    Gauge *		nUsers();

/*
** User code start **
*/

#include"uxObj1.inc.h"

/*
** User code finish **
*/

}; /* uxObj1 */


/* inline methods */

inline MOClassInfo * uxObj1::getClassInfo()
{ return _classInfo; }

inline SimpleNameType * uxObj1::uxObjId()
{ return (SimpleNameType *) _attrs[I_uxObjId]; }

inline UxTime * uxObj1::sysTime()
{ return (UxTime *) _attrs[I_sysTime]; }

inline GraphicString * uxObj1::wiseSaying()
{ return (GraphicString *) _attrs[I_wiseSaying]; }

inline Gauge * uxObj1::nUsers()
{ return (Gauge *) _attrs[I_nUsers]; }


#endif /* !_uxObj1_h_ */

/* End of file */
