#include <stdio.h>
#include "IMISC-types.h"


extern caddr_t _ZptrtabIMISC[];	/* forward decl */

#define OFFSET(t,f)	((int ) &(((t *)0)->f))


#define AOFFSET(t,f)	((int ) (((t *)0)->f))

static tpe et_IA5ListIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ SSEQOF_START, 0, 16, FL_UNIVERSAL },
	{ OCTETSTRING, OFFSET(struct type_IMISC_IA5List, IA5String), 22, 0 },
	{ PE_END, OFFSET(struct type_IMISC_IA5List, next), 0, 0 },
	{ PE_END, 0, 0, 0 }
	};

static tpe et_UTCResultIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ SOCTETSTRING, 0, 23, 0 },
	{ PE_END, 0, 0, 0 }
	};

static tpe et_TimeResultIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ INTEGER, OFFSET(struct type_IMISC_TimeResult, parm), 2, FL_UNIVERSAL },
	{ PE_END, 0, 0, 0 }
	};

static tpe et_GenResultIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ SOCTETSTRING, 0, 24, 0 },
	{ PE_END, 0, 0, 0 }
	};

static tpe et_DataIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ SANY, 0, -1, FL_UNIVERSAL },
	{ PE_END, 0, 0, 0 }
	};

static tpe et_EmptyIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ T_NULL, 0, 5, FL_UNIVERSAL },
	{ PE_END, 0, 0, 0 }
	};

static tpe dt_IA5ListIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ SSEQOF_START, 0, 16, FL_UNIVERSAL },
	{ MEMALLOC, 0, sizeof (struct type_IMISC_IA5List), 0 },
	{ OCTETSTRING, OFFSET(struct type_IMISC_IA5List, IA5String), 22, 0 },
	{ PE_END, OFFSET(struct type_IMISC_IA5List, next), 0, 0 },
	{ PE_END, 0, 0, 0 }
	};

static tpe dt_UTCResultIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ SOCTETSTRING, 0, 23, 0 },
	{ PE_END, 0, 0, 0 }
	};

static tpe dt_TimeResultIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ MEMALLOC, 0, sizeof (struct type_IMISC_TimeResult), 0 },
	{ INTEGER, OFFSET(struct type_IMISC_TimeResult, parm), 2, FL_UNIVERSAL },
	{ PE_END, 0, 0, 0 }
	};

static tpe dt_GenResultIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ SOCTETSTRING, 0, 24, 0 },
	{ PE_END, 0, 0, 0 }
	};

static tpe dt_DataIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ SANY, 0, -1, FL_UNIVERSAL },
	{ PE_END, 0, 0, 0 }
	};

static tpe dt_EmptyIMISC[] = {
	{ PE_START, 0, 0, 0 },
	{ MEMALLOC, 0, sizeof (struct type_IMISC_Empty), 0 },
	{ T_NULL, 0, 5, FL_UNIVERSAL },
	{ PE_END, 0, 0, 0 }
	};

static ptpe pt_IA5ListIMISC[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabIMISC[0] },
	{ SSEQOF_START, -1, 16, FL_UNIVERSAL, NULLVP },
	{ OCTETSTRING, 0, 22, 0, (char **)&_ZptrtabIMISC[1] },
	{ PE_END, 0, 0, 0, NULLVP },
	{ PE_END, 0, 0, 0, NULLVP }
	};

static ptpe pt_UTCResultIMISC[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabIMISC[2] },
	{ SOCTETSTRING, 0, 23, 0, (char **)&_ZptrtabIMISC[3] },
	{ PE_END, 0, 0, 0, NULLVP }
	};

static ptpe pt_TimeResultIMISC[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabIMISC[4] },
	{ INTEGER, -1, 2, FL_UNIVERSAL, NULLVP },
	{ PE_END, 0, 0, 0, NULLVP }
	};

static ptpe pt_GenResultIMISC[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabIMISC[5] },
	{ SOCTETSTRING, 0, 24, 0, (char **)&_ZptrtabIMISC[6] },
	{ PE_END, 0, 0, 0, NULLVP }
	};

static ptpe pt_DataIMISC[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabIMISC[7] },
	{ SANY, -1, -1, FL_UNIVERSAL, NULLVP },
	{ PE_END, 0, 0, 0, NULLVP }
	};

static ptpe pt_EmptyIMISC[] = {
	{ PE_START, 0, 0, 0, (char **)&_ZptrtabIMISC[8] },
	{ T_NULL, -1, 5, FL_UNIVERSAL, NULLVP },
	{ PE_END, 0, 0, 0, NULLVP }
	};

static tpe *etabl[] = {
	et_IA5ListIMISC,
	et_UTCResultIMISC,
	et_TimeResultIMISC,
	et_GenResultIMISC,
	et_DataIMISC,
	et_EmptyIMISC,
	};

static tpe *dtabl[] = {
	dt_IA5ListIMISC,
	dt_UTCResultIMISC,
	dt_TimeResultIMISC,
	dt_GenResultIMISC,
	dt_DataIMISC,
	dt_EmptyIMISC,
	};

static ptpe *ptabl[] = {
	pt_IA5ListIMISC,
	pt_UTCResultIMISC,
	pt_TimeResultIMISC,
	pt_GenResultIMISC,
	pt_DataIMISC,
	pt_EmptyIMISC,
	};


/* Pointer table 9 entries */
static caddr_t _ZptrtabIMISC[] = {
    (caddr_t ) "IA5List",
    (caddr_t ) "IA5String",
    (caddr_t ) "UTCResult",
    (caddr_t ) "UniversalTime",
    (caddr_t ) "TimeResult",
    (caddr_t ) "GenResult",
    (caddr_t ) "GeneralizedTime",
    (caddr_t ) "Data",
    (caddr_t ) "Empty",
};

modtyp _ZIMISC_mod = {
	"IMISC",
	6,
	etabl,
	dtabl,
	ptabl,
	0,
	0,
	0,
	_ZptrtabIMISC,
	};


#if	defined(lint) || defined(PEPSY_LINKABLE_FUNCS)

#undef decode_IMISC_IA5List
int	decode_IMISC_IA5List(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_IMISC_IA5List **parm;
{
  return (dec_f(_ZIA5ListIMISC, &_ZIMISC_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_IMISC_IA5List
void free_IMISC_IA5List(val)
struct type_IMISC_IA5List *val;
{
(void) fre_obj((char *) val, _ZIMISC_mod.md_dtab[_ZIA5ListIMISC], &_ZIMISC_mod, 1);
}

#undef decode_IMISC_UTCResult
int	decode_IMISC_UTCResult(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_IMISC_UTCResult **parm;
{
  return (dec_f(_ZUTCResultIMISC, &_ZIMISC_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_IMISC_UTCResult
void free_IMISC_UTCResult(val)
struct type_IMISC_UTCResult *val;
{
(void) fre_obj((char *) val, _ZIMISC_mod.md_dtab[_ZUTCResultIMISC], &_ZIMISC_mod, 1);
}

#undef decode_IMISC_TimeResult
int	decode_IMISC_TimeResult(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_IMISC_TimeResult **parm;
{
  return (dec_f(_ZTimeResultIMISC, &_ZIMISC_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_IMISC_TimeResult
void free_IMISC_TimeResult(val)
struct type_IMISC_TimeResult *val;
{
(void) fre_obj((char *) val, _ZIMISC_mod.md_dtab[_ZTimeResultIMISC], &_ZIMISC_mod, 1);
}

#undef decode_IMISC_GenResult
int	decode_IMISC_GenResult(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_IMISC_GenResult **parm;
{
  return (dec_f(_ZGenResultIMISC, &_ZIMISC_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_IMISC_GenResult
void free_IMISC_GenResult(val)
struct type_IMISC_GenResult *val;
{
(void) fre_obj((char *) val, _ZIMISC_mod.md_dtab[_ZGenResultIMISC], &_ZIMISC_mod, 1);
}

#undef decode_IMISC_Data
int	decode_IMISC_Data(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_IMISC_Data **parm;
{
  return (dec_f(_ZDataIMISC, &_ZIMISC_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef decode_IMISC_Empty
int	decode_IMISC_Empty(pe, top, len, buffer, parm)
PE	pe;
int	top,
       *len;
char  **buffer;
struct type_IMISC_Empty **parm;
{
  return (dec_f(_ZEmptyIMISC, &_ZIMISC_mod, pe, top, len, buffer,
		(char **) parm));
}

#undef free_IMISC_Empty
void free_IMISC_Empty(val)
struct type_IMISC_Empty *val;
{
(void) fre_obj((char *) val, _ZIMISC_mod.md_dtab[_ZEmptyIMISC], &_ZIMISC_mod, 1);
}

#endif	/* lint||PEPSY_LINKABLE_FUNCS */
