#ifndef _IQASNTX_H_
#define _IQASNTX_H_

#define GENERICIQADEFAULTATTRVALUE "GenericIQADefaultAttrValue"

#if defined(__STDC__) || defined(__cplusplus)

#if defined(__cplusplus)
extern "C" {
#endif
	void iqa_all_syntaxes() ;
	void iqa_attr_syntaxes() ;
	void iqa_evrep_syntaxes() ;
	struct type_PrxIIMCSntx_SnmpSecurity * createCommunityStringSecurityParameter( char* ) ;
	struct qbuf * retrieveCommunityStringSecurityParameter( struct type_PrxIIMCSntx_SnmpSecurity * ) ;
	unsigned qbcharlen( struct qbuf * ) ;
	RDN makeNullGenericRDN( char* ) ;
	RDN makeGenericRDN( char*, struct type_PrxSV1Sntx_SnmpGenericRDN * ) ;
	int appendGenericRDNcomponent( struct type_PrxSV1Sntx_SnmpGenericRDN **, short, void * ) ;
	int formSnmpV1RDNcomponent( char*, char**, struct type_PrxSV1Sntx_SnmpGenericRDN **, short, int ) ;
	struct type_PrxSV1Sntx_SnmpGenericRDN * SnmpGenericRDN_cpy( struct type_PrxSV1Sntx_SnmpGenericRDN * ) ;
	void SnmpGenericRDN_free( struct type_PrxSV1Sntx_SnmpGenericRDN* ) ;
	
	char * AttrT2str( AttributeType ) ;
	struct qbuf * retrieveCommunityFromPAC( External* ) ;
	External* buildAccessControl( char* ) ;

	char * qb2IpAddress( struct qbuf* ) ; /* static buffer */
	int IpAddress_equal( struct qbuf*, struct qbuf* ) ;

	PE build_InternetAlarmInfo( struct type_PrxAlarmSntx_InternetAlarmInfo * );
	int InternetAlarmInfo_free( struct type_PrxAlarmSntx_InternetAlarmInfo * ) ;
	struct type_PrxAlarmSntx_InternetTrapInfo ** 
		appendIntTrapInfo( struct type_PrxAlarmSntx_InternetTrapInfo **, OID, PE, DN ) ;
	struct type_PrxAlarmSntx_ObjectInstanceList **
		appendObjectInstList( struct type_PrxAlarmSntx_ObjectInstanceList **, DN ) ;
	struct type_PrxAlarmSntx_UnknownVarBindList **
		appendUnknownVarBindListVarBind( struct type_PrxAlarmSntx_UnknownVarBindList **, OID, PE ) ;
	struct type_PrxAlarmSntx_AttributeIdentifierList **
		appendAttributeIdListAttrId( struct type_PrxAlarmSntx_AttributeIdentifierList **, OID ) ;

#if defined(__cplusplus)
}
#endif

#else
	void iqa_all_syntaxes() ;
	void iqa_attr_syntaxes() ;
	void iqa_evrep_syntaxes() ;
	struct type_PrxIIMCSntx_SnmpSecurity * createCommunityStringSecurityParameter() ;
	struct qbuf * retrieveCommunityStringSecurityParameter() ;
	unsigned qbcharlen() ;
	RDN makeNullGenericRDN() ;
	RDN makeGenericRDN() ;
	int appendGenericRDNcomponent() ;
	int formSnmpV1RDNcomponent() ;
	struct type_PrxSV1Sntx_SnmpGenericRDN * SnmpGenericRDN_cpy() ;
	void SnmpGenericRDN_free() ;

	char * AttrT2str() ;
	struct qbuf * retrieveCommunityFromPAC() ;
	External* buildAccessControl() ;

	char * qb2IpAddress() ; /* static buffer */
	int IpAddress_equal() ;

	PE build_InternetAlarmInfo();
	int InternetAlarmInfo_free() ;
	struct type_PrxAlarmSntx_InternetTrapInfo   ** appendIntTrapInfo() ;
	struct type_PrxAlarmSntx_ObjectInstanceList ** appendObjectInstList() ;
	struct type_PrxAlarmSntx_UnknownVarBindList ** appendUnknownVarBindListVarBind() ;
	struct type_PrxAlarmSntx_AttributeIdentifierList ** appendAttributeIdListAttrId() ;

#endif


#endif /* _IQASNTX_H_ */
