/* @(#)PrxIIMCSntx-syntax.c 	 08/08/1994 - 12:28  */

/********************************************************************

  Module:   PrxIIMCSntx-syntax.c


  Descr.:   Definition of enc/dec/free/print funct. for syntax registr.


  Created:  Mon Aug 08, 1994


  Coded by: Attribute Compiler - Luca Deri 1993


********************************************************************/


#ifndef _PrxIIMCSntx_syntax_c
#define _PrxIIMCSntx_syntax_c

#include <stdio.h>
#include <stdlib.h>
#include "PrxIIMCSntx-syntax.h"

/* Insert here your own include files */

extern add_attribute_syntax();

#if defined(__STDC__) || defined(__cplusplus)
PE build_SnmpOpType(struct type_PrxIIMCSntx_SnmpOpType *report)
#else
PE build_SnmpOpType(report)
struct type_PrxIIMCSntx_SnmpOpType *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_SnmpOpType(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_SnmpOpType* parse_SnmpOpType(PE pe)
#else
struct type_PrxIIMCSntx_SnmpOpType* parse_SnmpOpType(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_SnmpOpType *report;

	if (parse_PrxIIMCSntx_SnmpOpType(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int SnmpOpType_free(struct type_PrxIIMCSntx_SnmpOpType* theElem)
#else
int SnmpOpType_free(theElem)
struct type_PrxIIMCSntx_SnmpOpType* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_SnmpOpType(theElem);
}

extern SnmpOpType_compare();
extern SnmpOpType_print();


void SnmpOpType_syntax()
{
	(void)add_attribute_syntax("SnmpOpType",
		(IFP) build_SnmpOpType,
		(IFP) parse_SnmpOpType,
		NULLIFP, /* parse function */
		(IFP) SnmpOpType_print,
		NULLIFP,
		(IFP) SnmpOpType_compare,
		(IFP) SnmpOpType_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_ObjIdent(struct type_PrxIIMCSntx_ObjIdent *report)
#else
PE build_ObjIdent(report)
struct type_PrxIIMCSntx_ObjIdent *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_ObjIdent(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_ObjIdent* parse_ObjIdent(PE pe)
#else
struct type_PrxIIMCSntx_ObjIdent* parse_ObjIdent(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_ObjIdent *report;

	if (parse_PrxIIMCSntx_ObjIdent(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int ObjIdent_free(struct type_PrxIIMCSntx_ObjIdent* theElem)
#else
int ObjIdent_free(theElem)
struct type_PrxIIMCSntx_ObjIdent* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_ObjIdent(theElem);
}

extern ObjIdent_compare();
extern ObjIdent_print();


void ObjIdent_syntax()
{
	(void)add_attribute_syntax("ObjIdent",
		(IFP) build_ObjIdent,
		(IFP) parse_ObjIdent,
		NULLIFP, /* parse function */
		(IFP) ObjIdent_print,
		NULLIFP,
		(IFP) ObjIdent_compare,
		(IFP) ObjIdent_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_TransportDomain(struct type_PrxIIMCSntx_TransportDomain *report)
#else
PE build_TransportDomain(report)
struct type_PrxIIMCSntx_TransportDomain *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_TransportDomain(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_TransportDomain* parse_TransportDomain(PE pe)
#else
struct type_PrxIIMCSntx_TransportDomain* parse_TransportDomain(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_TransportDomain *report;

	if (parse_PrxIIMCSntx_TransportDomain(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int TransportDomain_free(struct type_PrxIIMCSntx_TransportDomain* theElem)
#else
int TransportDomain_free(theElem)
struct type_PrxIIMCSntx_TransportDomain* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_TransportDomain(theElem);
}

extern TransportDomain_compare();
extern TransportDomain_print();


void TransportDomain_syntax()
{
	(void)add_attribute_syntax("TransportDomain",
		(IFP) build_TransportDomain,
		(IFP) parse_TransportDomain,
		NULLIFP, /* parse function */
		(IFP) TransportDomain_print,
		NULLIFP,
		(IFP) TransportDomain_compare,
		(IFP) TransportDomain_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_TransportAddress(struct type_PrxIIMCSntx_TransportAddress *report)
#else
PE build_TransportAddress(report)
struct type_PrxIIMCSntx_TransportAddress *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_TransportAddress(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_TransportAddress* parse_TransportAddress(PE pe)
#else
struct type_PrxIIMCSntx_TransportAddress* parse_TransportAddress(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_TransportAddress *report;

	if (parse_PrxIIMCSntx_TransportAddress(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int TransportAddress_free(struct type_PrxIIMCSntx_TransportAddress* theElem)
#else
int TransportAddress_free(theElem)
struct type_PrxIIMCSntx_TransportAddress* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_TransportAddress(theElem);
}

extern TransportAddress_compare();
extern TransportAddress_print();


void TransportAddress_syntax()
{
	(void)add_attribute_syntax("TransportAddress",
		(IFP) build_TransportAddress,
		(IFP) parse_TransportAddress,
		NULLIFP, /* parse function */
		(IFP) TransportAddress_print,
		NULLIFP,
		(IFP) TransportAddress_compare,
		(IFP) TransportAddress_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_AccessControlEnforcement(struct type_PrxIIMCSntx_AccessControlEnforcement *report)
#else
PE build_AccessControlEnforcement(report)
struct type_PrxIIMCSntx_AccessControlEnforcement *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_AccessControlEnforcement(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_AccessControlEnforcement* parse_AccessControlEnforcement(PE pe)
#else
struct type_PrxIIMCSntx_AccessControlEnforcement* parse_AccessControlEnforcement(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_AccessControlEnforcement *report;

	if (parse_PrxIIMCSntx_AccessControlEnforcement(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int AccessControlEnforcement_free(struct type_PrxIIMCSntx_AccessControlEnforcement* theElem)
#else
int AccessControlEnforcement_free(theElem)
struct type_PrxIIMCSntx_AccessControlEnforcement* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_AccessControlEnforcement(theElem);
}

extern AccessControlEnforcement_compare();
extern AccessControlEnforcement_print();


void AccessControlEnforcement_syntax()
{
	(void)add_attribute_syntax("AccessControlEnforcement",
		(IFP) build_AccessControlEnforcement,
		(IFP) parse_AccessControlEnforcement,
		NULLIFP, /* parse function */
		(IFP) AccessControlEnforcement_print,
		NULLIFP,
		(IFP) AccessControlEnforcement_compare,
		(IFP) AccessControlEnforcement_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_PollPeriod(struct type_PrxIIMCSntx_PollPeriod *report)
#else
PE build_PollPeriod(report)
struct type_PrxIIMCSntx_PollPeriod *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_PollPeriod(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_PollPeriod* parse_PollPeriod(PE pe)
#else
struct type_PrxIIMCSntx_PollPeriod* parse_PollPeriod(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_PollPeriod *report;

	if (parse_PrxIIMCSntx_PollPeriod(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int PollPeriod_free(struct type_PrxIIMCSntx_PollPeriod* theElem)
#else
int PollPeriod_free(theElem)
struct type_PrxIIMCSntx_PollPeriod* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_PollPeriod(theElem);
}

extern PollPeriod_compare();
extern PollPeriod_print();


void PollPeriod_syntax()
{
	(void)add_attribute_syntax("PollPeriod",
		(IFP) build_PollPeriod,
		(IFP) parse_PollPeriod,
		NULLIFP, /* parse function */
		(IFP) PollPeriod_print,
		NULLIFP,
		(IFP) PollPeriod_compare,
		(IFP) PollPeriod_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_ProtoNotImplErrorInfo(struct type_PrxIIMCSntx_ProtoNotImplErrorInfo *report)
#else
PE build_ProtoNotImplErrorInfo(report)
struct type_PrxIIMCSntx_ProtoNotImplErrorInfo *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_ProtoNotImplErrorInfo(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_ProtoNotImplErrorInfo* parse_ProtoNotImplErrorInfo(PE pe)
#else
struct type_PrxIIMCSntx_ProtoNotImplErrorInfo* parse_ProtoNotImplErrorInfo(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_ProtoNotImplErrorInfo *report;

	if (parse_PrxIIMCSntx_ProtoNotImplErrorInfo(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int ProtoNotImplErrorInfo_free(struct type_PrxIIMCSntx_ProtoNotImplErrorInfo* theElem)
#else
int ProtoNotImplErrorInfo_free(theElem)
struct type_PrxIIMCSntx_ProtoNotImplErrorInfo* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_ProtoNotImplErrorInfo(theElem);
}

extern ProtoNotImplErrorInfo_compare();
extern ProtoNotImplErrorInfo_print();


void ProtoNotImplErrorInfo_syntax()
{
	(void)add_attribute_syntax("ProtoNotImplErrorInfo",
		(IFP) build_ProtoNotImplErrorInfo,
		(IFP) parse_ProtoNotImplErrorInfo,
		NULLIFP, /* parse function */
		(IFP) ProtoNotImplErrorInfo_print,
		NULLIFP,
		(IFP) ProtoNotImplErrorInfo_compare,
		(IFP) ProtoNotImplErrorInfo_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_RetryLimit(struct type_PrxIIMCSntx_RetryLimit *report)
#else
PE build_RetryLimit(report)
struct type_PrxIIMCSntx_RetryLimit *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_RetryLimit(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_RetryLimit* parse_RetryLimit(PE pe)
#else
struct type_PrxIIMCSntx_RetryLimit* parse_RetryLimit(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_RetryLimit *report;

	if (parse_PrxIIMCSntx_RetryLimit(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int RetryLimit_free(struct type_PrxIIMCSntx_RetryLimit* theElem)
#else
int RetryLimit_free(theElem)
struct type_PrxIIMCSntx_RetryLimit* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_RetryLimit(theElem);
}

extern RetryLimit_compare();
extern RetryLimit_print();


void RetryLimit_syntax()
{
	(void)add_attribute_syntax("RetryLimit",
		(IFP) build_RetryLimit,
		(IFP) parse_RetryLimit,
		NULLIFP, /* parse function */
		(IFP) RetryLimit_print,
		NULLIFP,
		(IFP) RetryLimit_compare,
		(IFP) RetryLimit_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_AccessControlInfo(struct type_PrxIIMCSntx_AccessControlInfo *report)
#else
PE build_AccessControlInfo(report)
struct type_PrxIIMCSntx_AccessControlInfo *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_AccessControlInfo(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_AccessControlInfo* parse_AccessControlInfo(PE pe)
#else
struct type_PrxIIMCSntx_AccessControlInfo* parse_AccessControlInfo(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_AccessControlInfo *report;

	if (parse_PrxIIMCSntx_AccessControlInfo(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int AccessControlInfo_free(struct type_PrxIIMCSntx_AccessControlInfo* theElem)
#else
int AccessControlInfo_free(theElem)
struct type_PrxIIMCSntx_AccessControlInfo* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_AccessControlInfo(theElem);
}

extern AccessControlInfo_compare();
extern AccessControlInfo_print();


void AccessControlInfo_syntax()
{
	(void)add_attribute_syntax("AccessControlInfo",
		(IFP) build_AccessControlInfo,
		(IFP) parse_AccessControlInfo,
		NULLIFP, /* parse function */
		(IFP) AccessControlInfo_print,
		NULLIFP,
		(IFP) AccessControlInfo_compare,
		(IFP) AccessControlInfo_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_SnmpSecurity(struct type_PrxIIMCSntx_SnmpSecurity *report)
#else
PE build_SnmpSecurity(report)
struct type_PrxIIMCSntx_SnmpSecurity *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_SnmpSecurity(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_SnmpSecurity* parse_SnmpSecurity(PE pe)
#else
struct type_PrxIIMCSntx_SnmpSecurity* parse_SnmpSecurity(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_SnmpSecurity *report;

	if (parse_PrxIIMCSntx_SnmpSecurity(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int SnmpSecurity_free(struct type_PrxIIMCSntx_SnmpSecurity* theElem)
#else
int SnmpSecurity_free(theElem)
struct type_PrxIIMCSntx_SnmpSecurity* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_SnmpSecurity(theElem);
}

extern SnmpSecurity_compare();
extern SnmpSecurity_print();


void SnmpSecurity_syntax()
{
	(void)add_attribute_syntax("SnmpSecurity",
		(IFP) build_SnmpSecurity,
		(IFP) parse_SnmpSecurity,
		NULLIFP, /* parse function */
		(IFP) SnmpSecurity_print,
		NULLIFP,
		(IFP) SnmpSecurity_compare,
		(IFP) SnmpSecurity_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_SupportedMIBs(struct type_PrxIIMCSntx_SupportedMIBs *report)
#else
PE build_SupportedMIBs(report)
struct type_PrxIIMCSntx_SupportedMIBs *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_SupportedMIBs(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_SupportedMIBs* parse_SupportedMIBs(PE pe)
#else
struct type_PrxIIMCSntx_SupportedMIBs* parse_SupportedMIBs(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_SupportedMIBs *report;

	if (parse_PrxIIMCSntx_SupportedMIBs(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int SupportedMIBs_free(struct type_PrxIIMCSntx_SupportedMIBs* theElem)
#else
int SupportedMIBs_free(theElem)
struct type_PrxIIMCSntx_SupportedMIBs* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_SupportedMIBs(theElem);
}

extern SupportedMIBs_compare();
extern SupportedMIBs_print();


void SupportedMIBs_syntax()
{
	(void)add_attribute_syntax("SupportedMIBs",
		(IFP) build_SupportedMIBs,
		(IFP) parse_SupportedMIBs,
		NULLIFP, /* parse function */
		(IFP) SupportedMIBs_print,
		NULLIFP,
		(IFP) SupportedMIBs_compare,
		(IFP) SupportedMIBs_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_TimeoutInterval(struct type_PrxIIMCSntx_TimeoutInterval *report)
#else
PE build_TimeoutInterval(report)
struct type_PrxIIMCSntx_TimeoutInterval *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_TimeoutInterval(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_TimeoutInterval* parse_TimeoutInterval(PE pe)
#else
struct type_PrxIIMCSntx_TimeoutInterval* parse_TimeoutInterval(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_TimeoutInterval *report;

	if (parse_PrxIIMCSntx_TimeoutInterval(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int TimeoutInterval_free(struct type_PrxIIMCSntx_TimeoutInterval* theElem)
#else
int TimeoutInterval_free(theElem)
struct type_PrxIIMCSntx_TimeoutInterval* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_TimeoutInterval(theElem);
}

extern TimeoutInterval_compare();
extern TimeoutInterval_print();


void TimeoutInterval_syntax()
{
	(void)add_attribute_syntax("TimeoutInterval",
		(IFP) build_TimeoutInterval,
		(IFP) parse_TimeoutInterval,
		NULLIFP, /* parse function */
		(IFP) TimeoutInterval_print,
		NULLIFP,
		(IFP) TimeoutInterval_compare,
		(IFP) TimeoutInterval_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_TransportAddresses(struct type_PrxIIMCSntx_TransportAddresses *report)
#else
PE build_TransportAddresses(report)
struct type_PrxIIMCSntx_TransportAddresses *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_TransportAddresses(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_TransportAddresses* parse_TransportAddresses(PE pe)
#else
struct type_PrxIIMCSntx_TransportAddresses* parse_TransportAddresses(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_TransportAddresses *report;

	if (parse_PrxIIMCSntx_TransportAddresses(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int TransportAddresses_free(struct type_PrxIIMCSntx_TransportAddresses* theElem)
#else
int TransportAddresses_free(theElem)
struct type_PrxIIMCSntx_TransportAddresses* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_TransportAddresses(theElem);
}

extern TransportAddresses_compare();
extern TransportAddresses_print();


void TransportAddresses_syntax()
{
	(void)add_attribute_syntax("TransportAddresses",
		(IFP) build_TransportAddresses,
		(IFP) parse_TransportAddresses,
		NULLIFP, /* parse function */
		(IFP) TransportAddresses_print,
		NULLIFP,
		(IFP) TransportAddresses_compare,
		(IFP) TransportAddresses_free,
		NULLCP,
		NULLIFP, 0);
}

#if defined(__STDC__) || defined(__cplusplus)
PE build_NullRDN(struct type_PrxIIMCSntx_NullRDN *report)
#else
PE build_NullRDN(report)
struct type_PrxIIMCSntx_NullRDN *report;
#endif
{
	PE pe;

	if (build_PrxIIMCSntx_NullRDN(&pe, 1, 0, NULL, report) == NOTOK)
	   return(NULL);
	else
	   return(pe);
}

#if defined(__STDC__) || defined(__cplusplus)
struct type_PrxIIMCSntx_NullRDN* parse_NullRDN(PE pe)
#else
struct type_PrxIIMCSntx_NullRDN* parse_NullRDN(pe)
PE pe;
#endif
{
	struct type_PrxIIMCSntx_NullRDN *report;

	if (parse_PrxIIMCSntx_NullRDN(pe, 1, 0, NULL, &report) == NOTOK)
	   return(NULL);
	else
	   return(report);
}

#if defined(__STDC__) || defined(_cplusplus)
int NullRDN_free(struct type_PrxIIMCSntx_NullRDN* theElem)
#else
int NullRDN_free(theElem)
struct type_PrxIIMCSntx_NullRDN* theElem;
#endif
{
   if(theElem == NULL)
     return; /* Nothing to free */
   else
     (void)free_PrxIIMCSntx_NullRDN(theElem);
}

extern NullRDN_compare();
extern NullRDN_print();


void NullRDN_syntax()
{
	(void)add_attribute_syntax("NullRDN",
		(IFP) build_NullRDN,
		(IFP) parse_NullRDN,
		NULLIFP, /* parse function */
		(IFP) NullRDN_print,
		NULLIFP,
		(IFP) NullRDN_compare,
		(IFP) NullRDN_free,
		NULLCP,
		NULLIFP, 0);
}


/* This function register all the syntaxes contained in this file */
void PrxIIMCSntx_syntax_table()
{
	SnmpOpType_syntax();
	ObjIdent_syntax();
	TransportDomain_syntax();
	TransportAddress_syntax();
	AccessControlEnforcement_syntax();
	PollPeriod_syntax();
	ProtoNotImplErrorInfo_syntax();
	RetryLimit_syntax();
	AccessControlInfo_syntax();
	SnmpSecurity_syntax();
	SupportedMIBs_syntax();
	TimeoutInterval_syntax();
	TransportAddresses_syntax();
	NullRDN_syntax();
}


#endif /* !_PrxIIMCSntx_syntax_c_ */

