/*
// Copyright (c) 1994 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*/

#if !defined( _SNMPRMIBPARTY_H_ )
#define _SNMPRMIBPARTY_H_

#include 	"party.h"

#if defined( __cplusplus )
extern "C" {

SnmpRMIBerrorEnum buildSNMPv1agentParty( struct qbuf *, struct qbuf *, struct snmp_party ** ) ;
void		  removeSNMPv1agentParty( struct snmp_party ** ) ;

SnmpRMIBerrorEnum buildSNMPv1managerParty( struct snmp_party ** ) ;
void		  removeSNMPv1managerParty( struct snmp_party ** ) ;

SnmpRMIBerrorEnum buildSNMPv1Context( struct snmp_context ** ) ;
void		  removeSNMPv1Context( struct snmp_context ** ) ;

}
#endif

#endif
