//
// Copyright (c) 1990 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//

// AlarmManager.h - a primitive alarm manager that "wakes up" to count the time
//		    a simple demonstration of the kernel Coordinator/KS facility
//		    and simulated time

// By George Pavlou, March 1994


#ifndef _ALARM_MANAGER_
#define _ALARM_MANAGER_


#ifndef _GENERIC_KS_
#include "GenericKS.h"
#endif


class AlarmManager : public KS
{
#define DEFAULT_INTERVAL	10
    long  _time;
    long  _intvl;

public:
    int	 wakeUp (char*);

    AlarmManager ();
    AlarmManager (long);
    ~AlarmManager ();
};


#endif
