SMK DEFINITIONS ::=

PREFIXES build parse none

BEGIN

IMPORTS
	DistinguishedName
		FROM IF
			{
            joint-iso-ccitt
            ds(5)
            modules(1)
            informationFramework(1)
            };

SECTIONS build parse none

CMISFunctionalUnits
		::= BIT STRING
				{ multipleObjectSelection (0),
				 filter (1),
				 multipleReply (2),
				 extendedService (3),
				 confirmedCancelGet (4) }

CMIPVersion
		::= BIT STRING
				{ version1 (0),
				 version2 (1) }

-- The following ASN definitions are for new quipu syntaxes and
-- they are not defined in the SMK document (just for ICM use)

OperationalStatus
		::= ENUMERATED
				{ enabled (0),
				  disabled (1) }

ManagementRole
		::= ENUMERATED
				{ agent (0),
				  manager (1) }

TMNBlock
        ::= ENUMERATED
                { ne (0),
                  qa (1),
                  md (2),
                  sl-os (3),
                  nl-os (4),
                  ne-os (5),
                  ws (6) }

TMNMS
        ::= ENUMERATED
				{ customerAdministration  (0),
                  managementOfTheTMN      (1),
                  trafficManagement       (2),
                  accountingManagement    (3),
                  switchingManagement     (4),
                  restorationAndRecovery  (5) }

ResponsibleSMAP [[P resp_SMAP *]]
        ::= SEQUENCE {
                smap
                      DistinguishedName [[p mp_name]],
                ms
                      TMNMS [[p tmn_ms]] OPTIONAL}

END
